-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     16/08/2023  16:00                        
--   Issue:          411940 - Benéficios por estrutura gerencial

-- ============================================================
-- Table: TPBENEFICIOGERENCIAL
-- ============================================================
CREATE TABLE TPBENEFICIOGERENCIAL
(
    NRTPBENEFICIOGERENCIAL NUMBER not null,
    NRTIPOBENEFICIO NUMBER not null,
    NRESTRUTGEREN NUMBER not null,
    NRORG NUMBER not null,
    DTINIVIGENCIA DATE not null,
    DTFIMVIGENCIA DATE null,
    IDATIVO VARCHAR2(1) default 'S' not null,
    DTINCLUSAO DATE not null,
    DTULTATU DATE null ,
    NRORGINCLUSAO NUMBER(22) default 1 null ,
    CDOPERINCLUSAO VARCHAR2(12) default '1' null ,
    NRORGULTATU NUMBER(22) default 1 null ,
    CDOPERULTATU VARCHAR2(12) default '1' null ,
    constraint PK_TPBENEFICIOGERENCIAL primary key (NRORG, NRTPBENEFICIOGERENCIAL)
)
/
