/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS FUNCIONARIOS                                                                                  **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT GERA UMA TABELA AUXILIAR (TB_AUX_FUNCIONARIOS)                                                      **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO DA TABELA AUXILIAR DE FUNCIONARIOS
--------------------------------------------------------
create table TB_AUX_FUNCIONARIOS AS (

SELECT 
'01' AS "CODEMP",RA_FILIAL,RA_BITMAP,RA_MAT,RA_NOME,RA_NOMECMP,RA_MAE,RA_PAI,RA_SEXO,RA_NSOCIAL,RA_HOJORVA,RA_RACACOR,RA_NASC,RA_ALTNASC,RA_ESTCIVI,RA_CPAISOR,RA_NACIONA,RA_NACIONC,RA_BRNASEX,RA_NATURAL,RA_MUNNASC,RA_APELIDO,RA_GRINRAI,RA_EMAIL,RA_EMAIL2,RA_RECMAIL,RA_TPMAIL,RA_DEFIFIS,RA_BRPDH,RA_TPDEFFI,RA_PORTDEF,RA_OBSDEFI,RA_CC,RA_CLVL,RA_ITEM,RA_ADMISSA,RA_ALTADM,RA_TIPOADM,RA_DEPIR,RA_DEMISSA,RA_DEPSF,RA_OPCAO,RA_ALTOPC,RA_BCDPFGT,RA_CHAPA,RA_CTDPFGT,RA_PERFGTS,RA_TNOTRAB,RA_LOCBNF,RA_BCDEPSA,RA_TPCTSAL,RA_CTDEPSA,RA_TPPREVI,RA_SITFOLH,RA_PROCES,RA_HRSMES,RA_CATFUNC,RA_HRSEMAN,RA_HRSDIA,RA_CODFUNC,RA_SALARIO,RA_ANTEAUM,RA_PGCTSIN,RA_ADCPERI,RA_CESTAB,RA_TPCONTR,RA_DTFIMCT,RA_VALEREF,RA_HOPARC,RA_VALEALI,RA_SEGUROV,RA_CLAURES,RA_SINDICA,RA_PENSALI,RA_CBO,RA_ALTCBO,RA_TIPOPGT,RA_VIEMRAI,RA_CATEG,RA_CATEFD,RA_VCTOEXP,RA_PERICUL,RA_INSMIN,RA_VCTEXP2,RA_EXAMEDI,RA_INSMED,RA_DTVTEST,RA_ADCINS,RA_AFASFGT,RA_ASSIST,RA_CONFED,RA_MENSIND,RA_RESCRAI,RA_MESESAN,RA_MESTRAB,RA_FTINSAL,RA_CLASSEC,RA_OCORREN,RA_PERCSAT,RA_CARGO,RA_CODTIT,RA_POSTO,RA_ALTNOME,RA_DEPTO,RA_CODRET,RA_CRACHA,RA_FECREI,RA_DEMIANT,RA_REGRA,RA_MOLEST,RA_COMPSAB,RA_EAPOSEN,RA_NJUD14,RA_SEQTURN,RA_TPREINT,RA_SENHA,RA_NRPROC,RA_NRLEIAN,RA_DTEFRET,RA_DTEFRTN,RA_NIVEL,RA_CIC,RA_PIS,RA_TPRCBT,RA_ALTPIS,RA_RG,RA_TCFMSG,RA_INSSSC,RA_DTRGEXP,RA_RGUF,RA_RGORG,RA_RGEXP,RA_DISTSN,RA_ORGEMRG,RA_COMPLRG,RA_BHFOL,RA_NUMCP,RA_SERCP,RA_ACUMBH,RA_UFCP,RA_OKTRANS,RA_DTCPEXP,RA_ALTCP,RA_TABELA,RA_HABILIT,RA_TABNIVE,RA_TABFAIX,RA_CNHORG,RA_DTEMCNH,RA_RECPFNC,RA_DTVCCNH,RA_TIPENDE,RA_RESEXT,RA_TITULOE,RA_ZONASEC,RA_PAISEXT,RA_SECAO,RA_REGISTR,RA_LOGRTP,RA_FICHA,RA_LOGRDSC,RA_SERVENT,RA_CODACER,RA_LOGRNUM,RA_ENDEREC,RA_REGCIVI,RA_TPLIVRO,RA_NUMENDE,RA_CLASEST,RA_MSBLQL,RA_COMPLEM,RA_TIPCERT,RA_BAIRRO,RA_EMICERT,RA_ESTADO,RA_MATCERT,RA_CODMUN,RA_LIVCERT,RA_FOLCERT,RA_MUNICIP,RA_CARCERT,RA_CEP,RA_UFCERT,RA_CDMUCER,RA_CPOSTAL,RA_CEPCXPO,RA_ALTEND,RA_NUMEPAS,RA_TIPAMED,RA_EMISPAS,RA_DDDFONE,RA_TELEFON,RA_ASMEDIC,RA_UFPAS,RA_DPASSME,RA_DDDCELU,RA_DEMIPAS,RA_TPASODO,RA_DVALPAS,RA_NUMCELU,RA_ASODONT,RA_CHIDENT,RA_CODPAIS,RA_NUMRIC,RA_EMISRIC,RA_UFRIC,RA_CDMURIC,RA_NUMINSC,RA_SERVICO,RA_DEXPRIC,RA_CODIGO,RA_CATCNH,RA_OCEMIS,RA_UFCNH,RA_OCDTEXP,RA_RESERVI,RA_OCDTVAL,RA_CODUNIC,RA_PRCFCH,RA_PERFCH,RA_ROTFCH,RA_NUPFCH,RA_RNE,RA_RNEORG,RA_RNEDEXP,RA_DATCHEG,RA_ANOCHEG,RA_NUMNATU,RA_DATNATU,RA_CASADBR,RA_FILHOBR,RA_INSSAUT,RA_REGIME,RA_FWIDM,RA_INSMAX,RA_ADCCONF,RA_ADCTRF,RA_PLSAUDE,RA_RHEXP,RA_ADTPOSE,RA_TPJORNA,RA_FITIPEN,RA_MATIPEN,RA_TIPOPEN,RA_APOSENT,RA_SUBCARR,RA_DTNOMEA,RA_DEFETIV,RA_CODCON,RA_ADICEDI,RA_JORNRED,RA_TPSBCOM,RA_DTHREST,RA_TPCUEST,RA_ANOSEME,RA_PERESTU,RA_HABILMT,RA_DTCAGED,RA_CTRLEMA,RA_MATMIG,RA_AUTMEI,RA_USRADM,RA_CTPCD,RA_XBLQCES,RA_DESEPS,RA_DTINCON,RA_PLAPRE,RA_TIPCTA,RA_TIPOCON,RA_USERLGI,RA_USERLGA,RA_XTPCC,RA_KEYLOC,RA_BLOQADM,RA_DOENCAC,RA_IDOSO,RA_APREND,RA_AFASTAD,RA_HOMEOFI,RA_SUSCONT,RA_REDJORN,RA_GESTANT,RA_XTPADMI,RA_XCOLSUB,RA_XEXPBAN,RA_XDTBAN,RA_DESCEP,RA_TIPOVIA,RA_XBANCHR,RA_XART62,RA_DTENTRA,RA_TIPINF,RA_DTREC,RA_CODMUNN,D_E_L_E_T_,R_E_C_D_E_L_,R_E_C_N_O_
FROM SIGAP12.SRA010 WHERE D_E_L_E_T_ <> '*'

UNION ALL

SELECT 
'06' AS "CODEMP",RA_FILIAL,RA_BITMAP,RA_MAT,RA_NOME,RA_NOMECMP,RA_MAE,RA_PAI,RA_SEXO,RA_NSOCIAL,RA_HOJORVA,RA_RACACOR,RA_NASC,RA_ALTNASC,RA_ESTCIVI,RA_CPAISOR,RA_NACIONA,RA_NACIONC,RA_BRNASEX,RA_NATURAL,RA_MUNNASC,RA_APELIDO,RA_GRINRAI,RA_EMAIL,RA_EMAIL2,RA_RECMAIL,RA_TPMAIL,RA_DEFIFIS,RA_BRPDH,RA_TPDEFFI,RA_PORTDEF,RA_OBSDEFI,RA_CC,RA_CLVL,RA_ITEM,RA_ADMISSA,RA_ALTADM,RA_TIPOADM,RA_DEPIR,RA_DEMISSA,RA_DEPSF,RA_OPCAO,RA_ALTOPC,RA_BCDPFGT,RA_CHAPA,RA_CTDPFGT,RA_PERFGTS,RA_TNOTRAB,RA_LOCBNF,RA_BCDEPSA,RA_TPCTSAL,RA_CTDEPSA,RA_TPPREVI,RA_SITFOLH,RA_PROCES,RA_HRSMES,RA_CATFUNC,RA_HRSEMAN,RA_HRSDIA,RA_CODFUNC,RA_SALARIO,RA_ANTEAUM,RA_PGCTSIN,RA_ADCPERI,RA_CESTAB,RA_TPCONTR,RA_DTFIMCT,RA_VALEREF,RA_HOPARC,RA_VALEALI,RA_SEGUROV,RA_CLAURES,RA_SINDICA,RA_PENSALI,RA_CBO,RA_ALTCBO,RA_TIPOPGT,RA_VIEMRAI,RA_CATEG,RA_CATEFD,RA_VCTOEXP,RA_PERICUL,RA_INSMIN,RA_VCTEXP2,RA_EXAMEDI,RA_INSMED,RA_DTVTEST,RA_ADCINS,RA_AFASFGT,RA_ASSIST,RA_CONFED,RA_MENSIND,RA_RESCRAI,RA_MESESAN,RA_MESTRAB,RA_FTINSAL,RA_CLASSEC,RA_OCORREN,RA_PERCSAT,RA_CARGO,RA_CODTIT,RA_POSTO,RA_ALTNOME,RA_DEPTO,RA_CODRET,RA_CRACHA,RA_FECREI,RA_DEMIANT,RA_REGRA,RA_MOLEST,RA_COMPSAB,RA_EAPOSEN,RA_NJUD14,RA_SEQTURN,RA_TPREINT,RA_SENHA,RA_NRPROC,RA_NRLEIAN,RA_DTEFRET,RA_DTEFRTN,RA_NIVEL,RA_CIC,RA_PIS,RA_TPRCBT,RA_ALTPIS,RA_RG,RA_TCFMSG,RA_INSSSC,RA_DTRGEXP,RA_RGUF,RA_RGORG,RA_RGEXP,RA_DISTSN,RA_ORGEMRG,RA_COMPLRG,RA_BHFOL,RA_NUMCP,RA_SERCP,RA_ACUMBH,RA_UFCP,RA_OKTRANS,RA_DTCPEXP,RA_ALTCP,RA_TABELA,RA_HABILIT,RA_TABNIVE,RA_TABFAIX,RA_CNHORG,RA_DTEMCNH,RA_RECPFNC,RA_DTVCCNH,RA_TIPENDE,RA_RESEXT,RA_TITULOE,RA_ZONASEC,RA_PAISEXT,RA_SECAO,RA_REGISTR,RA_LOGRTP,RA_FICHA,RA_LOGRDSC,RA_SERVENT,RA_CODACER,RA_LOGRNUM,RA_ENDEREC,RA_REGCIVI,RA_TPLIVRO,RA_NUMENDE,RA_CLASEST,RA_MSBLQL,RA_COMPLEM,RA_TIPCERT,RA_BAIRRO,RA_EMICERT,RA_ESTADO,RA_MATCERT,RA_CODMUN,RA_LIVCERT,RA_FOLCERT,RA_MUNICIP,RA_CARCERT,RA_CEP,RA_UFCERT,RA_CDMUCER,RA_CPOSTAL,RA_CEPCXPO,RA_ALTEND,RA_NUMEPAS,RA_TIPAMED,RA_EMISPAS,RA_DDDFONE,RA_TELEFON,RA_ASMEDIC,RA_UFPAS,RA_DPASSME,RA_DDDCELU,RA_DEMIPAS,RA_TPASODO,RA_DVALPAS,RA_NUMCELU,RA_ASODONT,RA_CHIDENT,RA_CODPAIS,RA_NUMRIC,RA_EMISRIC,RA_UFRIC,RA_CDMURIC,RA_NUMINSC,RA_SERVICO,RA_DEXPRIC,RA_CODIGO,RA_CATCNH,RA_OCEMIS,RA_UFCNH,RA_OCDTEXP,RA_RESERVI,RA_OCDTVAL,RA_CODUNIC,RA_PRCFCH,RA_PERFCH,RA_ROTFCH,RA_NUPFCH,RA_RNE,RA_RNEORG,RA_RNEDEXP,RA_DATCHEG,RA_ANOCHEG,RA_NUMNATU,RA_DATNATU,RA_CASADBR,RA_FILHOBR,RA_INSSAUT,RA_REGIME,RA_FWIDM,RA_INSMAX,RA_ADCCONF,RA_ADCTRF,RA_PLSAUDE,RA_RHEXP,RA_ADTPOSE,RA_TPJORNA,RA_FITIPEN,RA_MATIPEN,RA_TIPOPEN,RA_APOSENT,RA_SUBCARR,RA_DTNOMEA,RA_DEFETIV,RA_CODCON,RA_ADICEDI,RA_JORNRED,RA_TPSBCOM,RA_DTHREST,RA_TPCUEST,RA_ANOSEME,RA_PERESTU,RA_HABILMT,RA_DTCAGED,RA_CTRLEMA,RA_MATMIG,RA_AUTMEI,RA_USRADM,RA_CTPCD,RA_XBLQCES,RA_DESEPS,RA_DTINCON,RA_PLAPRE,RA_TIPCTA,RA_TIPOCON,RA_USERLGI,RA_USERLGA,RA_XTPCC,RA_KEYLOC,RA_BLOQADM,RA_DOENCAC,RA_IDOSO,RA_APREND,RA_AFASTAD,RA_HOMEOFI,RA_SUSCONT,RA_REDJORN,RA_GESTANT,RA_XTPADMI,RA_XCOLSUB,RA_XEXPBAN,RA_XDTBAN,RA_DESCEP,RA_TIPOVIA,RA_XBANCHR,RA_XART62,RA_DTENTRA,RA_TIPINF,RA_DTREC,RA_CODMUNN,D_E_L_E_T_,R_E_C_D_E_L_,R_E_C_N_O_
FROM SIGAP12.SRA060
WHERE D_E_L_E_T_ <> '*'
);

--------------------------------------------------------
-- CRIAO DA TABELA DE-PARA MATICULA
--------------------------------------------------------
CREATE TABLE LG_DEPARA_MATRICULA AS (
SELECT  TRIM(CODEMP) EMPESA_PROTHEUS, 
        TRIM(RA_FILIAL) FILIAL_PROTHEUS,
        TRIM(RA_MAT) MATRICULA_PROTHEUS,
        TRIM(RA_CODUNIC) MATRICULA_ESOCIAL_PROTHEUS,
        TRIM(RA_CIC) CPF_PROTHEUS,
        TRIM(RA_NOME) NOME,
        TRIM(RA_ADMISSA) DATA_AMISSAO,
        TRIM(RA_DEMISSA) DATA_DEMISSAO,
        FN_RETORNA_EMPRESA(RA_FILIAL) EMPESA_LG,
        ROW_NUMBER() over(partition by FN_RETORNA_EMPRESA(RA_FILIAL) order by RA_ADMISSA ASC) MATRICULA_LG
FROM TB_AUX_FUNCIONARIOS
);

SELECT * FROM LG_DEPARA_MATRICULA;



--------------------------------------------------------
-- VALIDAAO DO CADASTRO DE FUNCIONARIOS
--------------------------------------------------------
SELECT
CODEMP,
F2.RA_FILIAL,
F2.RA_MAT,
F2.RA_NOME,
F2.RA_CIC,

		CASE 
			WHEN TRIM(F2.RA_CIC) IN ('0') OR TRIM(F2.RA_CIC) IS NULL THEN 'No possui CPF.' 
			ELSE 'OK'     
            END  
        AS "TESTE CPF",
        
        SUBSTR(F2.RA_ADMISSA,7,2) ||'/'|| SUBSTR(F2.RA_ADMISSA,5,2) ||'/'|| SUBSTR(F2.RA_ADMISSA,1,4) AS "DATA ADMISSAO",
        SUBSTR(F2.RA_DEMISSA,7,2) ||'/'|| SUBSTR(F2.RA_DEMISSA,5,2) ||'/'|| SUBSTR(F2.RA_DEMISSA,1,4) AS "DATA DESLIGAMENTO",
        
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_ADMISSA IN ('19000101','','0') OR TRIM(F.RA_ADMISSA) IS NULL	THEN 'No possui data de Admisso.'
            WHEN F.RA_ADMISSA < F.RA_NASC	THEN 'Data de Admisso invlida - Data de Nascimento posterior a admisso.'
			ELSE 'OK'
		END 
	FROM
		TB_AUX_FUNCIONARIOS F
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT ) AS "TESTE DATA ADMISSAO",
     
      
    SUBSTR(F2.RA_NASC,7,2) ||'/'|| SUBSTR(F2.RA_NASC,5,2) ||'/'|| SUBSTR(F2.RA_NASC,1,4) AS "DATA NASCIMENTO",    
	
	(SELECT DISTINCT
		CASE 
            WHEN F.RA_NASC IN ('','0') OR TRIM(F.RA_NASC) IS NULL	THEN 'No possui data de Nascimento.'
			WHEN (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2 
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_NASC <> F.RA_NASC) > 0 THEN 'Colaborador possui mais de um vnculo e com datas de nascimento diferentes.'
			ELSE 'OK'
		END 
	FROM
		TB_AUX_FUNCIONARIOS F
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT ) AS "TESTE DATA NASCIMENTO",
        	
            F2.RA_SEXO AS SEXO,
	(SELECT DISTINCT
		CASE
            WHEN  F.RA_SEXO IN ('',' ')	THEN 'No possui sexo.'
			WHEN F.RA_SEXO IS NULL OR F.RA_SEXO NOT IN ('F','M')	THEN 'No possui sexo.'
			WHEN (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2 
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_SEXO <> F.RA_SEXO) > 0	THEN 'Colaborador possui mais de um vnculo e com sexo diferentes.'
			ELSE 'OK'
		END 
	FROM
		TB_AUX_FUNCIONARIOS F
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE SEXO",
        
        f2.RA_PIS AS PIS,
        F2.RA_CATEFD AS CATEGORIA,
	(SELECT DISTINCT
		CASE
            WHEN (F.RA_CATEFD <> '901' AND TRIM(F.RA_PIS) IS NULL) THEN 'COLABORADOR SEM PIS'
            WHEN (F.RA_CATEFD <> '901' AND F.RA_PIS IN ('0','00000000000 ')) THEN 'COLABORADOR SEM PIS'
            WHEN
				(SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_PIS <> F.RA_PIS) > 0	THEN 'Colaborador possui mais de um vnculo e com PIS diferente.'
			ELSE 'OK'
		END 
	FROM
		TB_AUX_FUNCIONARIOS F
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE PIS",
        
        F2.RA_NUMCP AS CTPS,
        
	
		CASE
			WHEN F2.RA_CATEFD <> '901' AND (LTRIM(RTRIM(F2.RA_NUMCP)) IN ('0','0000000','9999999','9999')OR TRIM(F2.RA_NUMCP) IS NULL) THEN 'No possui CTPS'
            WHEN 
                (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F
				WHERE 
					F2.RA_CIC=F.RA_CIC 
					AND F2.RA_NUMCP <> F.RA_NUMCP) > 0		THEN 'Colaborador possui mais de um vnculo e com CTPS diferente.'
			ELSE 'OK'
		END  AS "TESTE CTPS",
        
        RA_SERCP AS SERIE,  
    
    
		CASE
			WHEN F2.RA_CATEFD <> '901' AND (TRIM(F2.RA_SERCP) IS NULL OR F2.RA_SERCP IN ('0','00000','99999','09999')) 	THEN 'No possui srie da CTPS'
			ELSE 'OK'
		END  AS "TESTE SERIE CTPS",
    
        RA_DTCPEXP AS EMISSAO, 
        
      
		CASE
			WHEN F2.RA_CATEFD <> '901' AND (TRIM(F2.RA_DTCPEXP) IS NULL OR F2.RA_DTCPEXP IN ('0'))	THEN 'No possui data de emisso da CTPS'
			ELSE 'OK'
		END  AS "TESTE EMISSAO CTPS",
        
        
        F2.RA_MAE AS "NOME MAE",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_MAE IN ('0') OR TRIM(F.RA_MAE) IS NULL THEN 'NOME MAE VAZIO'
			WHEN (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2 
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_MAE<>F.RA_MAE) > 0 THEN 'NOME MAE DIFERENTE DO MESMO CPF'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE NOME MAE",
        
    F2.RA_CATEFD AS CATEGORIA,
    
    F3.RFS_NATUR AS "NATUREZA ESTAGIO",
    --'' AS "NATUREZA ESTAGIO",
    --'' AS "TESTE AREA ESTAGIO",
    --'' AS "AREA ESTAGIO",
    --'' AS "TESTE AREA ESTAGIO",
	
    (SELECT DISTINCT
		CASE 
			WHEN F2.RA_CATEFD = '901' AND NVL(F.RFS_NATUR,'0') = '0' THEN 'NATUREZA ESTAGIO VAZIO'
            WHEN F2.RA_CATEFD = '901' AND (TRIM(F.RFS_NATUR) IN ('0','',' ') OR TRIM(F.RFS_NATUR) IS NULL) THEN 'NATUREZA ESTAGIO VAZIO'
			ELSE 'OK' 
		END
	FROM 
		SIGAP12.RFS010 F 
	WHERE 
		 F2.RA_FILIAL = F.RFS_FILIAL	
         AND F2.RA_MAT = F.RFS_MAT)          AS "TESTE NATUREZA ESTAGIO",

	F3.RFS_ATUA AS "AREA ESTAGIO",
    
	(SELECT DISTINCT
		CASE 
			WHEN F2.RA_CATEFD = '901' AND (TRIM(F.RFS_ATUA) IN ('0','',' ') OR TRIM(F.RFS_ATUA) IS NULL) THEN 'AREA ESTAGIO VAZIO'
			ELSE 'OK' 
		END
	FROM 
		SIGAP12.RFS010 F 
	WHERE 
		F2.RA_FILIAL = F.RFS_FILIAL	
        AND F2.RA_MAT = F.RFS_MAT) AS "TESTE AREA ESTAGIO",
        
    F2.RA_ESTCIVI AS "ESTADO CIVIL",
        
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_ESTCIVI = '' OR (TRIM(F.RA_ESTCIVI) IS NULL) THEN 'No possui Estado Civil.'
			ELSE 'OK'
		END 
	FROM
		TB_AUX_FUNCIONARIOS F
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE ESTADO CIVIL",
        
        	F2.RA_NATURAL AS NATURALIDADE, 
            
	
		CASE 
			WHEN F2.RA_NATURAL IN ('','0') OR (TRIM(F2.RA_NATURAL) IS NULL) THEN 'NATURALIDADE VAZIO'
			ELSE 'OK' 
		END
	 AS "TESTE NATURALIDADE",
        
        F2.RA_RACACOR AS "RACA COR", 
        
	
		CASE 
			WHEN F2.RA_RACACOR  IN ('','0') OR (TRIM(F2.RA_RACACOR) IS NULL) THEN 'RACA COR VAZIO'
			WHEN 
				(SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_RACACOR<>F.RA_RACACOR) > 0  THEN 'RAA COR DIFERENTE PARA MESMO CPF'
			ELSE 'OK' 
		END AS "TESTE RAA COR",
        
        F2.RA_GRINRAI AS "GRAU INSTRUCAO",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_GRINRAI IN ('','0') OR (TRIM(F.RA_GRINRAI) IS NULL) THEN 'GRAU INSTRUCAO VAZIO'
			WHEN (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2 
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_GRINRAI <> F.RA_GRINRAI) > 0 THEN 'GRAU INSTRUCAO DIFERENTE PARA MESMO CPF'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE GRAU INSTRUCAO",
        
        

	F2.RA_CEP AS CEP,
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_CEP IN ('','0','00000000') OR (TRIM(F.RA_CEP) IS NULL) THEN 'CEP VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE CEP",

	F2.RA_LOGRTP  AS "TIPO LOGRADOURO",
	(SELECT	DISTINCT
		CASE 
			WHEN F.RA_LOGRTP IN ('','0') OR (TRIM(F.RA_LOGRTP) IS NULL) THEN 'TIPO LOGRADOURO VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE TIPO LOGRADOURO",



	F2.RA_LOGRDSC AS ENDERECO,
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_LOGRDSC IN ('','0',',') OR (TRIM(F.RA_LOGRDSC) IS NULL) THEN 'ENDERECO VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE ENDERECO",
			
	F2.RA_BAIRRO AS BAIRRO,
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_BAIRRO IN ('','0') OR (TRIM(F.RA_BAIRRO) IS NULL) THEN 'BAIRRO VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE BAIRRO",
			
	F2.RA_CODMUN AS MUNICIPIO,
	
		CASE 
			WHEN F2.RA_CODMUN IN ('','0') OR (TRIM(F2.RA_CODMUN) IS NULL) THEN 'MUNICIPIO VAZIO'
			ELSE 'OK' 
		END AS "TESTE MUNICIPIO",
        
        RA_CPAISOR,
        CASE 
			WHEN F2.RA_CPAISOR IN ('','0') OR (TRIM(F2.RA_CPAISOR) IS NULL) THEN 'SEM PAIS ORIGEM'
			ELSE 'OK'
		END AS "VALIDACAO PAIS DE ORIGEM",
    	F2.RA_DDDFONE AS DDD,
	
		CASE 
			WHEN F2.RA_DDDFONE IN ('','0') OR (TRIM(F2.RA_DDDFONE) IS NULL) THEN 'DDD VAZIO'
			ELSE 'OK' 
		END AS "TESTE DDD",
			
	F2.RA_TELEFON AS TELEFONE,
	
		CASE 
			WHEN LTRIM(RTRIM(F2.RA_TELEFON)) IN ('','0','0000-0000') OR (TRIM(F2.RA_TELEFON) IS NULL) THEN 'TELEFONE VAZIO'
			ELSE 'OK' 
		END  AS "TESTE TELEFONE",
			
	F2.RA_DDDCELU AS "DDD CELULAR",
	
		CASE 
			WHEN F2.RA_DDDCELU IN ('','0') OR (TRIM(F2.RA_DDDCELU) IS NULL) THEN 'DDD VAZIO'
			ELSE 'OK' 
		END AS "TESTE DDD CELULAR",
		
    
    
    F2.RA_NUMCELU AS CELULAR,
	
		CASE 
			WHEN F2.RA_NUMCELU IN ('','0') OR (TRIM(F2.RA_NUMCELU) IS NULL) THEN 'CELULAR VAZIO'
			ELSE 'OK' 
		END  AS "TESTE CELULAR",
        
        F2.RA_EMAIL AS EMAIL,
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_EMAIL IN ('','0') OR (TRIM (F.RA_EMAIL) IS NULL) THEN 'EMAIL VAZIO'
			WHEN F.RA_EMAIL NOT LIKE ('%@%') AND F.RA_EMAIL NOT LIKE ('%.%') THEN 'EMAIL INVALIDO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE EMAIL",
        
        F2.RA_RG AS "IDENTIDADE RG",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_RG IN ('','0') OR (TRIM(F.RA_RG) IS NULL) THEN 'IDENTIDADE RG VAZIO'
			WHEN (SELECT 
					COUNT(*) 
				FROM 
					TB_AUX_FUNCIONARIOS F2 
				WHERE 
					F2.RA_CIC = F.RA_CIC 
					AND F2.RA_RG<>F.RA_RG) > 0 THEN 'RG DIFERENTE DO MESMO CPF'
			WHEN F.RA_RG NOT IN ('','0',NULL) AND (F.RA_RGORG IN ('','0',NULL) OR F.RA_DTRGEXP IN ('','0',NULL) OR F.RA_RGUF IN ('','0',NULL)) THEN 'FALTANDO DADOS'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE IDENTIDADE",
			
	F2.RA_RGORG AS "ORGAO RG",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_RGORG IN ('','0') OR (TRIM(F.RA_RGORG) IS NULL) THEN 'ORGAO RG VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE ORGAO RG",
			
	F2.RA_DTRGEXP AS "DATA EMISSAO RG",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_DTRGEXP IN ('','0') OR (TRIM(F.RA_DTRGEXP) IS NULL) THEN 'DATA EMISSAO RG VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE DATA EMISSAO RG",
			
	F2.RA_RGUF AS "UF RG",
	(SELECT DISTINCT
		CASE 
			WHEN F.RA_RGUF IN ('','0') OR (TRIM(F.RA_RGUF) IS NULL) THEN 'UF RG VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE UF RG",
        
        
    	f2.RA_CC AS "CENTRO CUSTOS",
	(SELECT DISTINCT
		CASE 
			WHEN RA_CC IN ('','0') OR (TRIM(RA_CC) IS NULL) THEN 'CENTRO CUSTOS VAZIO'
			ELSE 'OK' 
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE CENTRO CUSTOS",


	F2.RA_SINDICA AS SINDICATO,

		CASE 
			WHEN RA_SINDICA IN ('','0') OR (TRIM(RA_SINDICA) IS NULL) THEN 'SINDICATO VAZIO'
			ELSE 'OK' 
		END AS "TESTE SINDICATO",
        
        F2.RA_BCDEPSA AS "BANCO/AG",
	
		CASE 
			WHEN RA_BCDEPSA IN ('','0') OR (TRIM(RA_BCDEPSA) IS NULL) THEN 'BANCO/AG VAZIO'
			ELSE 'OK' 
		END  AS "TESTE BANCO",


	F2.RA_CTDEPSA AS "CONTA CORRENTE",
	
		CASE
			WHEN LTRIM(RTRIM(RA_CTDEPSA)) IN ('','0','0000') OR (TRIM(RA_CTDEPSA) IS NULL) THEN 'CONTA CORRENTE VAZIO'
			ELSE 'OK' 
		END  AS "TESTE CONTA CORRENTE",
        
        F2.RA_CATEFD AS "CATEGORIA",
	(SELECT DISTINCT
		CASE 
			WHEN (TRIM (F2.RA_CATEFD) IS NULL) OR F2.RA_CATEFD IN ('','0') THEN 'SEM CATEGORIA'
			ELSE 'OK'
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE CATEGORIA",
	
	F2.RA_VIEMRAI AS "VINCULO",
	(SELECT DISTINCT
		CASE 
			WHEN F2.RA_VIEMRAI IN ('','0') OR (TRIM(F2.RA_VIEMRAI) IS NULL) THEN 'SEM VINCULO'
			ELSE 'OK'
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE VINCULO",



	F2.RA_TIPOADM AS "TIPO ADMISSO",
	(SELECT DISTINCT
		CASE 
			WHEN F2.RA_TIPOADM IN ('','0') OR (TRIM(F2.RA_TIPOADM) IS NULL) THEN 'SEM TIPO DE ADMISSO'
			ELSE 'OK'
		END
	FROM 
		TB_AUX_FUNCIONARIOS F 
	WHERE 
		F.RA_FILIAL = F2.RA_FILIAL
		AND F.RA_MAT = F2.RA_MAT) AS "TESTE TTIPO ADMISSO",
        RA_CPAISOR,
        CASE 
			WHEN F2.RA_CPAISOR IN ('','0') OR (TRIM(F2.RA_CPAISOR) IS NULL) THEN 'SEM PAIS ORIGEM'
			ELSE 'OK'
		END AS "VALIDACAO PAIS DE ORIGEM"
        
	
--select * 
FROM TB_AUX_FUNCIONARIOS F2
LEFT JOIN SIGAP12.RFS010 F3 --Info Exclusivas Estagiarios
ON 
F2.RA_FILIAL = F3.RFS_FILIAL	
AND F2.RA_MAT = F3.RFS_MAT
WHERE F2.D_E_L_E_T_ <>'*'











