SELECT DISTINCT


LGM.MATRICULA_LG AS "01_Matricula",                 
FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP) AS "02_Codigo da Empresa",
TO_CHAR (TO_DATE (res.RG_DATAHOM, 'YYYYMMDD'), 'YYYY/MM/DD') AS "03_Data da ocorrencia",
'' AS "04_Data (Publicacao)",
'' AS "05_Situacao (Publicacao)",
TO_CHAR (TO_DATE (res.RG_DTGERAR, 'YYYYMMDD'), 'YYYY/MM/DD') AS "06_Data do pagamento",
'' AS "07_Código (Motivo)",
'7' AS "08_Código (Folha de Pagamento)",
RTRIM(res.RG_OBS) AS "09_Observação",
'' AS "10_Data do Instrumento",
'' AS "11_Tipo do Instrumento",
'' AS "12_Competência Devida do Pagamento",
'' AS "13_Data do Efeito",
'' AS "14_Valores devidos de Quarentena tr",
'' AS "15_Valores devidos de Comissão"
	
FROM HISTORICO_RESCISAO res
LEFT JOIN TB_AUX_FUNCIONARIOS F ON F.RA_FILIAL = res.RG_FILIAL AND F.RA_MAT = res.RA_MAT 
AND F.CODEMP = res.CODEMP

INNER JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = F.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = F.RA_MAT AND LGM.EMPESA_PROTHEUS = F.CODEMP)

where
    
        res.RG_DTGERAR <> (
						SELECT 
							MIN(sub.RG_DTGERAR)
						FROM
							HISTORICO_RESCISAO sub
						WHERE	
							sub.RG_FILIAL = res.RG_FILIAL
							AND sub.RA_MAT = res.RA_MAT
							AND res.CodEmp = sub.CodEmp)
    