/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS CENTRO DE CUSTO                                                                                **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT HISTORICO DE TRANSFERENCIA                                                                         **/
/**********************************************************************************************************************/
-------------------------------------------------------
-- UNIAO DAS TABELAS 
--------------------------------------------------------
create TB_AUX_MOVIMENTACAO_CC

SELECT 
	mov.RE_EMPD AS CodEmp,	/* Codigo da Empresa */
	mov.RE_EMPD,			/* Codigo da Empresa de Origem */
	mov.RE_EMPP,			/* Codigo da Empresa de Destino */
	mov.RE_FILIALD,			/* Codigo da Filial Origem */
	mov.RE_FILIALP,			/* Codigo da Filial Destino */
	mov.RE_MATD,			/* Matricula de Origem */
	mov.RE_MATP,			/* Matricula de Destino */
	mov.RE_DATA,			/* Data da Transferencia */
	mov.RE_CCD,				/* Centro Custo de Origem */
	mov.RE_CCP,				/* Centro Custo de Destino */
	mov.RE_DESL				/* Motivo de desligamento */
FROM
	SIGAP12.SRE010 mov
WHERE
	mov.D_E_L_E_T_ <> '*'