/*
	HISTRICO DE MOVIMENTAES DE CC
	BASE PROTHEUS - CICOPAL
*/
SELECT
    'ENTO'              AS "001 ENTO",
    ROW_NUMBER()
    OVER(
        ORDER BY
            MOV.CODEMP, MOV.RE_FILIALD, MOV.RE_MATD, MOV.RE_DATA
    )                    AS "002 ID",
    'NO'                AS "003 IGNORAR",
  --  MOV.R7_DATA,
    SUBSTR(MOV.RE_DATA,7,2) ||'/' || SUBSTR(MOV.RE_DATA, 5, 2) || '/' || SUBSTR(MOV.RE_DATA,1, 4) AS "004 DATA MOVIMENTAO",
-----------------------------------------------------------------------------------------------
    FN_RETORNA_EMPRESA(TB_AUX_FUNCIONARIOS.RA_FILIAL, TB_AUX_FUNCIONARIOS.CODEMP) AS "005 CODIGO DA EMPRESA",
-----------------------------------------------------------------------------------------------
    LGM.MATRICULA_LG          AS "006 MATRICULA",
-----------------------------------------------------------------------------------------------
7 AS "007 CODIGO DO MOTIVO DA MOVIMENTAO", 
-----------------------------------------------------------------------------------------------
'ALTERAO DE CENTRO DE CUSTO' AS "008 DESCRIO",
MOV.RE_CCP        AS "020 CODIGO CENTRO DE CUSTO DESTINO"
    
   
FROM
TB_AUX_TRANSFERENCIA MOV
LEFT JOIN TB_AUX_FUNCIONARIOS ON RA_FILIAL = RE_FILIALD AND RA_MAT = RE_MATD 
AND TB_AUX_FUNCIONARIOS.CODEMP = MOV.CODEMP
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = TB_AUX_FUNCIONARIOS.CODEMP

INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS F ON MOV.CODEMP = F.CODEMP
                                                 AND MOV.RE_FILIALD = F.RA_FILIAL
                                                AND MOV.RE_MATD = F.RA_MAT


WHERE MOV.RE_CCD <> MOV.RE_CCP




