SELECT
    '3'                                              AS "01_Quando o registro existir",
       -- Sobrepor os registros existentes
       --'3' AS "01_Quando o registro existir", -- Somar os registros existentes
       --'5' AS "01_Quando o registro existir",   -- EXCLUIR
       -----------------------------------------------------------------------------------------------
    to_number(uo.codigo_pai)                        AS "02_Cdigo da Empresa",
        -----------------------------------------------------------------------------------------------
    fmh.id_funcionario                               AS "03_Matrcula",
        -----------------------------------------------------------------------------------------------
    dp.cod_folha_lg                                  AS "04_Cdigo da folha",    
        -----------------------------------------------------------------------------------------------
    lpad(fmh.mes_competencia,2,'0') || fmh.ano_competencia         AS "05_Ms de Referncia",
        -----------------------------------------------------------------------------------------------
    dp.cod_eventoqtd_lg                                 AS "06_Cdigo do Evento",  
        -----------------------------------------------------------------------------------------------
    ''                                               AS "07_Total das parcelas",
        -----------------------------------------------------------------------------------------------
    ''                                               AS "08_N da parcela atual",
        -----------------------------------------------------------------------------------------------       
    replace(fmh.quantidade, ',', '.')                     AS "09_Valor" -- 2 - Sobrepor os registros existentes
       -----------------------------------------------------------------------------------------------
       --  ,fmh.cod_verba
       --  ,fmh.id_processo
       --  ,be.desc_tipo_evento
FROM
         prdrhgp_lg_prod.funcionario_movimentos_hist fmh
    INNER JOIN prdrhgp_lg_prod.funcionarios                f ON fmh.id_funcionario = f.id
    LEFT JOIN lg_de_para_consultor_V6                    dp ON fmh.cod_verba = dp.cod_evento_de
                                    AND fmh.id_processo = dp.cod_processo_de
    LEFT JOIN prdrhgp_lg_prod.ex_funcionarios             ef ON f.id = ef.id_funcionario
    LEFT JOIN prdrhgp_lg_prod.unidades_organizacionais    uo ON f.uniorg_cgc = uo.codigo
    --LEFT JOIN LG_BASE_EVENTOS BE ON dp.cod_evento_lg=be.cod_evento
WHERE
--    ( fmh.ano_competencia
--          || fmh.mes_competencia
--          || '01' >= 20191201
--      AND fmh.ano_competencia
--          || fmh.mes_competencia
--          || '01' < 20211101 )
(((fmh.ano_competencia =2021) and  (fmh.mes_competencia in(11,12))) or ((fmh.ano_competencia =2022) and  (fmh.mes_competencia in(1,2,3,4,5,6,7))))
    AND ( ef.data_demissao >= to_date('22/12/2016')
          OR ef.data_demissao IS NULL )
    AND uo.codigo_pai IN ( '001', '002', '003', '004', '006' )
    AND f.tipo_colab NOT IN ( 'C', 'G' )    /*CANDIDATO NO TEM CATEGORIA E GUARDA MIRIM TAMBM NO*/
    AND f.ativo <> 'C'
    AND dp.cod_processo_de <>30
    and dp.cod_eventoqtd_lg is not null
    and fmh.quantidade is not null
    AND dp.cod_evento_lg NOT IN ('NO MIGRAR')
--    AND fmh.cod_verba NOT IN ( 'B080', 'B081', 'B100', 'B142', 'B170', 'B179', 'B180', 'B181', 'C019', 'C020',
--'P009', 'P010', 'P012', 'Z001', 'Z002', 'Z003', 'Z004', 'Z005', 'Z006', 'Z007',
--'Z008', 'Z009', 'Z010', 'Z011', 'Z012', 'A004', 'A007', 'A009', 'A011', 'A012',
--'A013', 'A014', 'B070', 'B071', 'B072', 'B073', 'B075', 'B110', 'B111', 'B115',
--'B116', 'B117', 'B118', 'B119', 'B120', 'B130', 'B153', 'B171', 'B172', 'B176',
--'B178', 'B192', 'B201', 'B202', 'B203', 'C001', 'C012', 'C013', 'C021', 'C022',
--'C031', 'C035', 'M009', 'M010', 'P017', 'P018' );
--
--
--GROUP BY
--       uo.codigo_pai
--     , fmh.id_funcionario
--     --, DP.PARA_DES_FOLHA
--     --, DP.PARA_DES_EVENTO
--     , dp.cod_evento_lg 
--     , dp.cod_folha_lg 
--     , fmh.mes_competencia || fmh.ano_competencia
--     --, VAPRAZO
--     --, VA.VAREALIZAD
--     --, VA.VAVALEVENT
ORDER BY
      "05_Ms de Referncia","02_Cdigo da Empresa","04_Cdigo da folha","03_Matrcula","06_Cdigo do Evento"