USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE

SELECT  DISTINCT
--   CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) as 'MAT_ORIGEM',
   ROW_NUMBER() OVER(ORDER BY fun.numemp, dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP')) AS '1IDCOLABORADOR',
   
   '00010' AS '2COD_LAYOUT',
   
   1 AS  '3COD_PERFIL_DADOS',
   
   '' AS '4IDPEESSOA',   
	
	CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END as '5COD_EMP',      
   
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS '6MATRICULA',         
   
   REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '') AS '7DT_ADMISSAO',
   
   RIGHT('00000000000' + CONVERT(VARCHAR, fun.numcpf), 11) AS '8CPF', 
   
   RTRIM(LTRIM(fun.nomfun)) AS '9NOMEFUNCIONARIO',
   
   REPLACE(CONVERT(VARCHAR(10), fun.datnas, 103), '/', '') AS '10DT_NASCIMENTO',
   
   FUN.TIPSEX AS '11SEXO', 
   
   dbo.fnc_depara(fun.estciv, 'ESTCIVIL', 'ISL')  AS '12ESTADO_CIVIL',
   
   CASE fun.estciv WHEN 2 THEN '01012021' ELSE '' END AS '13DT_CASAMENTO',   
   
   CASE fun.estciv WHEN 7 THEN 'S'ELSE 'N' END AS '14_UNIAOESTAVEL',
   
   CASE fun.estciv WHEN 7 THEN '01012021' ELSE '' END AS '15DT_UNIAO_ESTAVEL',
   
   CASE WHEN (fun.estciv = 2) AND  est.casbra IS NOT NULL THEN 'N' ELSE '' END AS '17CASADO_CBRASILEIRO', 
   
   CASE       WHEN (fun.estciv = 2) AND est.filcbr IS NOT NULL THEN 'N'       ELSE '' END AS '17FILHOS_BRASIL',   
   
   '' AS '18ALVARAPTRABALHO',
   
   '' AS '19NumeroAlvara', 
   
   ISNULL(NAC.PAIDIR, '105') AS '20PaisNascimento',
   
   ISNULL(NAC.PAIDIR, '105') AS '21PAISNACIONALIDADE',
   
   CASE WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL) OR ISNULL(NAC.PAIDIR, '105') <> '105' THEN
      CASE WHEN EST.datche < PES.datnas THEN REPLACE(CONVERT(VARCHAR(10), fun.datadm, 103), '/', '')
      ELSE   ISNULL(REPLACE(CONVERT(VARCHAR(10), EST.datche, 103), '/', ''), CASE WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN REPLACE(CONVERT(VARCHAR(10), fun.datadm, 103), '/', '') ELSE '' END)
      END
   ELSE ''
    END AS '22DATA_Chegada',
   
   '' AS '23DT_NATURALIZACAO',--ISNULL(REPLACE(CONVERT(VARCHAR(10), fcomp.datpor, 103), '/', ''), '') AS '23DATA_Naturalizacao',
   ISNULL(fcomp.numpor, '') AS '24PortariaNaturalizacao',
   --fcomp.codcid,fcomp.ccinas,
   CASE      
   WHEN fcomp.ccinas = ''THEN '3549805'
   WHEN fcomp.ccinas IS NULL THEN '3549805'
   WHEN (fcomp.ccinas = 0 OR fcomp.ccinas = '') THEN fcomp.codcid ELSE fcomp.ccinas END AS '25Naturalidade',   -- PEND 
   CASE fun.raccor
       WHEN 6 THEN 9
      WHEN 5 THEN 9
      WHEN 8 THEN 9
      WHEN 0 THEN 9
      WHEN 1 THEN 2
      WHEN 2 THEN 4
      WHEN 3 THEN 6
      WHEN 4 THEN 8
      WHEN 7 THEN 8
   END AS '26COD_RacaCor',
   dbo.fnc_depara(fun.grains, 'GRAUINST', 'ISL') AS '27COD_GrauInstrucao',
   1 '28COD_TipoFiliacao1',
   upper(dbo.FNC_BUSCA_FILIACAO(fun.numemp, fun.numcad, 'PAI')) as '29NomeFiliacao1',
   2 '30COD_TipoFiliacao2',
   upper(dbo.FNC_BUSCA_FILIACAO(fun.numemp, fun.numcad, 'MAE')) as '31NomeFiliacao2',
   '' AS '32ResponsavelLegal',
   CASE fun.coddef
		WHEN 0 THEN 'N'
		ELSE 'S'
	 END AS "33PossuiDeficiencia",
   CASE WHEN left(fcomp.endcep,8) = 0 THEN '15015100' ELSE ISNULL(left(fcomp.endcep,8),'15015100') END AS '34END_CEP',
   CASE fcomp.tiplgr
      WHEN 'AV'  THEN '04'
      WHEN 'R'   THEN '39'
      WHEN 'REC' THEN '36'
      WHEN 'A'   THEN '04'
      WHEN 'ROD' THEN '38'
      WHEN 'TV'  THEN '42'
      WHEN 'Q'   THEN '35'
      WHEN 'LGR' THEN '25'
      WHEN 'PC'  THEN '33'
      WHEN 'AL'  THEN '02'
      WHEN 'RES' THEN '37'
      WHEN 'VLA' THEN '49'
      WHEN 'EST' THEN '15'
      WHEN 'MRO' THEN '27'
	  WHEN 'COND'THEN '10'
	  WHEN 'JD'THEN '21'
      ELSE '39'                  -- PEND
   END AS '35END_CodTipoLogradouro',
   CASE WHEN LTRIM(RTRIM(fcomp.endrua)) = '' OR LTRIM(RTRIM(fcomp.endrua)) IS NULL THEN 'NAO INFORMADO' ELSE LTRIM(RTRIM(fcomp.endrua)) END AS '36END_Logradouro', -- PEND
   ISNULL(fcomp.endnum, '') AS '37END_Numero',
   ISNULL(LTRIM(RTRIM(fcomp.endcpl)), '') AS '38END_Complemento',
   ISNULL(bai.nombai,'CENTRO') AS '39END_Bairro',      -- PEND
   replace(dbo.fnc_depara( CASE WHEN fcomp.codest = '' OR fcomp.codest IS NULL THEN '25' ELSE isnull(fcomp.codest, 'SP') END, 'UF', 'ISL'), ' - DePara No Encontrado', '') '40END_CodUF',
   CASE WHEN (fcomp.codcid IS NULL OR fcomp.codcid = '') THEN '3549805' ELSE RTRIM(LTRIM(fcomp.codcid)) END  AS '41END_CodCidade', -- PEND
   '' AS '42CaixaPostal',
   '' AS '43CEPCaixaPostal',
   replace(
      CASE WHEN len(dbo.FNC_SONUMEROS(fcomp.numtel)) > 0 then
         case when len(dbo.FNC_SONUMEROS(fcomp.dddtel)) > 1  then left(CONVERT(VARCHAR(3),fcomp.dddtel),2)   else '34' end      
      else ''   end,
        '*', '')  AS '44DDD_Telefone',
   left(CASE
      WHEN (fcomp.numtel <> '' AND fcomp.numtel IS NOT NULL AND fcomp.numtel <> '0') THEN LEFT(DBO.FNC_SONUMEROS(fCOMP.numtel),9)
      ELSE ''                  -- PEND
   END, 8) AS '45Telefone',
   ISNULL(LEFT(DBO.FNC_SONUMEROS(fcomp.numram),10),'') AS '46Ramal',
   CONVERT(VARCHAR(2),CASE WHEN (nmtel2 <> '' OR nmtel2 <> 0 OR nmtel2 <> NULL) AND NMDDD2 <> 0 THEN LEFT(CONVERT(VARCHAR(2),nmddd2),9)
                        WHEN (nmtel2 <> '' OR nmtel2 <> 0 AND nmtel2 <> NULL) AND NMDDD2 = 0 THEN '51'
   ELSE '' end) AS '47DD_Telefone2', 
   CASE
      WHEN (fcomp.nmtel2 <> '' AND fcomp.nmtel2 IS NOT NULL AND fcomp.nmtel2 <> '0') THEN LEFT(DBO.FNC_SONUMEROS(fcomp.nmtel2),9)
      ELSE ''                  
   END AS '48Telefone2',
   ISNULL(RTRIM(LTRIM(REPLACE(REPLACE(lower(fcomp.emacom),']',''),' ',''))), '') AS '49EMailCorporativo',
   ISNULL(RTRIM(LTRIM(REPLACE(replace(fcomp.emapar, '', 'a'),' ',''))), '') AS '50EMailParticular',
   '' AS '51LinkedIn',
   '' AS '52Facebook',
   '' AS '53Twitter',
   CASE  WHEN FUN.numpis = '12374968571' THEN dbo.FNC_GERA_PIS(left(fun.numcad, 10))
     WHEN fun.numpis = '0' THEN dbo.FNC_GERA_PIS(left(fun.numcad, 10)) ELSE CONVERT(VARCHAR(50),fun.numpis) END  '54NumeroPIS',      -- PEND
   '' AS '55DT_CADPIS',--REPLACE(CONVERT(VARCHAR(10), fun.dcdpis, 103), '/', '') AS '55DATA_CadastroPIS',
   '' AS '56BancoPIS',
   '' AS '57AgenciaPIS',
   CASE WHEN fun.numctp = '0' THEN RIGHT('00000000' + CONVERT(VARCHAR, fun.numcpf), 8) 
        WHEN FUN.NUMCTP = '1' THEN RIGHT('00000000' + CONVERT(VARCHAR, fun.numcpf), 8) 
       when fun.numctp in ('00009001530', '00009001573') then ''
       ELSE CONVERT(VARCHAR(8),FUN.NUMCTP)
       END AS '58NumeroCartTrabalho',
   CASE WHEN fun.numctp = 0 THEN '99'
        WHEN FUN.NUMCTP = 1 THEN '99' 
		WHEN fun.serctp = ' ' THEN '99'
       ELSE fun.serctp END AS '59SerieCartTrabalho', 
   CASE WHEN fun.numctp = '0' THEN REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '')
        WHEN FUN.NUMCTP = '1' THEN REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '')
        ELSE  dbo.FNC_ValidaData(fun.dexctp, fun.DATADM, fun.datnas, 'DDMMAAAA') END AS '60DATA_EmissaoCartTrabalho',
   CASE WHEN fun.numctp = 0 THEN '25'
        WHEN FUN.NUMCTP = 1 THEN '25'
		WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) AND (fcomp.estcid <> '' AND fcomp.estcid IS NOT NULL) THEN replace(dbo.fnc_depara( fcomp.estcid, 'UF', 'ISL'), ' - DePara No Encontrado', '')
       ELSE replace(dbo.fnc_depara( isnull(fun.estctp, 'SP'), 'UF', 'ISL'), ' - DePara No Encontrado','25')  END AS '61COD_UFCartTrabalho',
   '' as '62validade_ctps',--ISNULL(REPLACE(CONVERT(VARCHAR(10), fun.dvlctp, 103), '/', ''), '') AS '62DATA_ValidadeCartTrabalho', -- PEND
   
   CASE 
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN    ('1_1_9005','2_1_866','2_1_867','2_1_870','2_1_871','2_1_872','2_1_873','2_1_874','2_1_877') THEN RTRIM(LTRIM(fcomp.emicid))
	  WHEN fcomp.numcid = '29.404.461-9' THEN ''
      WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) THEN RTRIM(LTRIM(fcomp.numcid))
      ELSE CONVERT(VARCHAR(15),FUN.numcad)
   END AS '63NumeroIdentidade',
   CASE  
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN    ('1_1_9005','2_1_866','2_1_867','2_1_870','2_1_871','2_1_872','2_1_873','2_1_874','2_1_877') THEN RTRIM(LTRIM(fcomp.numcid))
      WHEN fcomp.numcid = '29.404.461-9' THEN ''
      WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) AND (fcomp.emicid = '' OR fcomp.emicid IS NULL) THEN 'SSP'
      WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) AND (fcomp.emicid <> '' AND fcomp.emicid IS NOT NULL) THEN RTRIM(LTRIM(fcomp.emicid)) 
      ELSE 'SSP'
   END AS '64EmissorIdentidade', 
   CASE  
       WHEN FUN.TIPCOL = 2 THEN ''
	   WHEN fcomp.numcid = '29.404.461-9' THEN ''
       WHEN FCOMP.numcid = '' OR FCOMP.numcid IS NULL THEN REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '')
       when fcomp.dexcid < fun.datnas then dbo.FNC_ValidaData(fcomp.dexcid, fun.DATADM, fun.datnas, 'DDMMAAAA') 
      WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) AND (fcomp.dexcid <> '' AND fcomp.dexcid IS NOT NULL) THEN REPLACE(CONVERT(VARCHAR(10), fcomp.dexcid, 103), '/', '')
      ELSE dbo.FNC_ValidaData(fcomp.dexcid, fun.DATADM, fun.datnas, 'DDMMAAAA')  
   END AS '65DATA_EmissaoIdentidade',
   CASE
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN (fcomp.numcid <> '' OR fcomp.numcid IS NOT NULL) AND (fcomp.estcid = '' OR fcomp.estcid IS  NULL)  then '25'
      WHEN (fcomp.numcid <> '' AND fcomp.numcid IS NOT NULL) AND (fcomp.estcid <> '' AND fcomp.estcid IS NOT NULL) THEN replace(dbo.fnc_depara( fcomp.estcid, 'UF', 'ISL'), ' - DePara No Encontrado', '')
      ELSE ''
   END AS '66COD_UFIdentidade',
   CASE
      WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL)  THEN CONVERT(VARCHAR, fun.visest)
      WHEN ISNULL(NAC.PAIDIR, '105') <> '105'  THEN '1'
      ELSE ''
   END AS '67COD_TipoVistoIdentidade',
   CASE
      WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL)  THEN Case when year(fun.dvlest) = 1900 then REPLACE(CONVERT(VARCHAR(10), DATEADD(YEAR, 5, fun.datadm), 103), '/', '') else ISNULL(REPLACE(CONVERT(VARCHAR(10), fun.dvlest, 103), '/', ''), REPLACE(CONVERT(VARCHAR(10), DATEADD(YEAR, 5, fun.datadm), 103), '/', '')) end
      WHEN ISNULL(NAC.PAIDIR, '105') <> '105'  THEN  REPLACE(CONVERT(VARCHAR(10), DATEADD(YEAR, 5, fun.datadm), 103), '/', '')
      When year(fun.dvlest) = 1900 then ''-- REPLACE(CONVERT(VARCHAR(10), DATEADD(YEAR, 5, fun.datadm), 103), '/', '')
      ELSE ''-- REPLACE(CONVERT(VARCHAR(10), DATEADD(YEAR, 5, fun.datadm), 103), '/', '')
   END 
    AS '68DATA_ValiVistoIdentidade', 
   '' AS '69NumeroRIC',
   '' AS '70SerieRIC',   
   '' AS '71DATA_EmissaoRIC1',
   '' AS '72DATA_ValidadeRIC',   
   '' AS '73OrgaoEmissorRIC',
   '' aS '74COD_UFOrgaoEmissorRIC',

   CASE WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN '' ELSE 
      CASE
      WHEN (fcomp.tipcer <> '' AND fcomp.tipcer IS NOT NULL) AND (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) THEN fcomp.tipcer /* Buscar somente os tipos que possuem numero/matricula */
      ELSE ''
      END
   END AS '75COD_TipoCertidao',
   CASE 
   WHEN (fcomp.tipcer = '' or fcomp.tipcer IS NULL) THEN ''
   WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL) THEN '' 		
	ELSE 
	   CASE
		  WHEN (fcomp.tipcer <> '' AND fcomp.tipcer IS NOT NULL) AND (fcomp.matccv <> '' AND fcomp.matccv IS NOT NULL) THEN fcomp.matccv
		  ELSE ''
	   END end AS '76NumeroCertidao',
   CASE WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL) or  (fcomp.tipcer = '' or fcomp.tipcer IS NULL)THEN '' 
		WHEN FUN.NUMCAD='8836'	AND fcomp.matciv= '5314' THEN  '53140' 
	    WHEN FUN.NUMCAD='472'	AND fcomp.matciv= '10161' THEN '101610'
		ELSE 
   CASE
      WHEN (fcomp.tipcer <> '' AND fcomp.tipcer IS NOT NULL) AND (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) THEN fcomp.matciv
      ELSE ''
   END end AS '77MatriculaCertidao',
   CASE WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL) or  (fcomp.tipcer = '' or fcomp.tipcer IS NULL)  THEN '' ELSE 
   CASE
      when  (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
	  WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.livciv <> '' AND fcomp.livciv IS NOT NULL) THEN fcomp.livciv
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.livciv = '' OR fcomp.livciv IS NULL) THEN 'A' 
      ELSE ''
   END end AS '78LivroCertidao',
   CASE 
   WHEN (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
   WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN 
   '' ELSE 
   CASE
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.folciv <> '' AND fcomp.folciv IS NOT NULL) THEN fcomp.folciv
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.folciv = '' OR fcomp.folciv IS NULL) THEN '1' 
      ELSE ''
   END end AS '79FolhaCertidao',
   CASE 
   when  (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
   WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN '' ELSE 
   CASE
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.carciv <> '' AND fcomp.carciv IS NOT NULL) THEN fcomp.carciv
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.carciv = '' OR fcomp.carciv IS NULL) THEN 'Cartrio Migrao' 
      ELSE ''
   END end AS '80CartorioCertidao',
   CASE 
   when  (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
   WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN '' ELSE 
   CASE
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.estcid <> '' AND fcomp.estcid IS NOT NULL) THEN replace(dbo.fnc_depara( fcomp.estciv, 'UF','ISL'), ' - DePara No Encontrado', '')
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.carciv = '' OR fcomp.carciv IS NULL) THEN '' 
      ELSE ''
   END end AS '81COD_UFCartorioCertidao',
   
   CASE 
   when  (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
   WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN '' ELSE 
      CASE WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.cidciv <> 0 AND fcomp.cidciv IS NOT NULL) THEN 
         CASE WHEN CONVERT(VARCHAR, fcomp.cidciv) = '' THEN '1' ELSE CONVERT(VARCHAR, fcomp.cidciv) END
      ELSE ''   END 
   end AS '82COD_MunicipioCertidao',
   CASE 
   when  (fcomp.tipcer = '' or fcomp.tipcer IS NULL) then ''
   WHEN fun.visest <> 0 AND fun.visest IS NOT NULL THEN '' ELSE 
   CASE WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.demciv <> 0 AND fcomp.demciv IS NOT NULL) THEN 
      case when fcomp.demciv < fun.datnas then 
         REPLACE(CONVERT(VARCHAR(10), fun.datnas, 103), '/', '')
      else
         REPLACE(CONVERT(VARCHAR(10), fcomp.demciv, 103), '/', '')
      end
      ELSE ''
   END end AS '83DATA_EmissaoCertidao',   
   /*CASE
      WHEN CONVERT(VARCHAR, fcomp.nasviv) IN ('0','') THEN ''
	  WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.nasviv <> '0' AND fcomp.nasviv IS NOT NULL) THEN CONVERT(VARCHAR, fcomp.nasviv)
      WHEN (fcomp.matciv <> '' AND fcomp.matciv IS NOT NULL) AND (fcomp.nasviv = '' OR fcomp.nasviv IS NULL) THEN ''
      ELSE ''
   END*/
   '' AS '84NumeroDNV', /* Declarao Nascido Vivo */ 
   CASE 
      WHEN (fcomp.carsus <> '0' AND fcomp.carsus IS NOT NULL) THEN LEFT(CONVERT (VARCHAR, fcomp.carsus),15)
      ELSE ''
   END AS '85NumeroCNS',
   '' AS '86ViaCNS',
   CASE WHEN fcomp.numele IN ('0309199420159','000322690159') THEN ''
       WHEN fcomp.numele = '0' THEN ''
       WHEN fcomp.numele = '0000000000000' THEN ''
      WHEN fcomp.numele = '000000000000' THEN ''
      WHEN  (fcomp.numele <> '' AND fcomp.numele IS NOT NULL) THEN DBO.FNC_SONUMEROS(fCOMP.numele)
      ELSE ''
   END AS '87NumeroTituloEleitor',
   CASE 
       WHEN fcomp.numele IN ('0309199420159','000322690159') THEN ''
       WHEN fcomp.numele = '0' THEN ''
       WHEN fcomp.numele = '0000000000000' THEN ''
      WHEN fcomp.numele = '000000000000' THEN ''
      WHEN (fcomp.numele <> '' AND fcomp.numele IS NOT NULL)  AND fcomp.zonele = '0' THEN '999'
      WHEN  (fcomp.numele <> '' AND fcomp.numele IS NOT NULL) THEN  RTRIM(LTRIM(fcomp.zonele))
      ELSE ''
   END AS '88ZonaTituloEleitor',
   CASE
       WHEN fcomp.numele IN ('0309199420159','000322690159') THEN ''
       WHEN fcomp.numele = '0' THEN ''
       WHEN fcomp.numele = '0000000000000' THEN ''
      WHEN fcomp.numele = '000000000000' THEN ''
      WHEN (fcomp.numele <> '' AND fcomp.numele IS NOT NULL)  AND fcomp.secele = '0' THEN '99'
      WHEN  (fcomp.numele <> '' AND fcomp.numele IS NOT NULL) THEN RTRIM(LTRIM(fcomp.secele))
      ELSE ''
   END AS '89SecaoTituloEleitor',
   '' AS '90DATA_EmissaoTituloEleitor',
   '' AS '91UFTituloEleitor',
   CASE  WHEN fcomp.numcnh IN ('00','000') THEN ''
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') THEN LTRIM(RTRIM(fcomp.numcnh))
      ELSE ''
   END AS '92NumeroCNH',
   LEFT(CASE 
			WHEN fcomp.numcnh IN ('00','000') THEN ''
			WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.catcnh IS NULL OR fcomp.catcnh = '') THEN 'B'   
			WHEN fcomp.numcnh IN ('292627230','1048235885') THEN ''
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.catcnh IS NOT NULL AND fcomp.catcnh <> '') THEN 
                                                                  CASE RTRIM(LTRIM(fcomp.catcnh))
                                                                     WHEN 'A'    THEN 'A'
                                                                     WHEN 'A2'   THEN 'A'
                                                                     WHEN 'B'    THEN 'B'
                                                                     WHEN 'AB'   THEN 'AB'
                                                                     WHEN 'AB,'  THEN 'AB'
                                                                     WHEN 'A/B'  THEN 'AB'
                                                                     WHEN 'B/A'  THEN 'AB'
                                                                     WHEN 'A2/B' THEN 'AB'
                                                                     WHEN 'B/A2' THEN 'AB'
                                                                     WHEN 'B/A3' THEN 'AB'
                                                                     WHEN 'C'    THEN 'C'
                                                                     WHEN 'AC'   THEN 'AC'
                                                                     WHEN 'C/A'  THEN 'AC'
                                                                     WHEN 'C/A3' THEN 'AC'
                                                                     WHEN 'A3/C' THEN 'AC'
                                                                     WHEN 'D'    THEN 'D'
                                                                     WHEN 'AD'   THEN 'AD'
                                                                     WHEN 'A/D'  THEN 'AD'
                                                                     WHEN 'D/A'  THEN 'AD'
                                                                     WHEN 'D/A2' THEN 'AD'
                                                                     WHEN 'D/A3' THEN 'AD'
                                                                     WHEN 'E'    THEN 'E'
                                                                     WHEN 'AE'   THEN 'AE'
                                                                     ELSE 'B'
                                                                  END 
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.catcnh IS NULL OR fcomp.catcnh = '') THEN 'B'
      ELSE ''
   END,2) AS '93CategoriaCNH',
   CASE 
WHEN fcomp.numcnh IN ('00','000') THEN ''
WHEN CONVERT(VARCHAR(10),fcomp.numcnh) = ''  THEN ''
WHEN CONVERT(VARCHAR(10),fcomp.numcnh) = '0' then ''
when CONVERT(VARCHAR(10),fcomp.numcnh) IS null then ''
ELSE
dbo.FNC_ValidaData(FCOMP.datcnh+1, fun.DATADM+1, fun.datnas+1, 'DDMMAAAA')  END AS '94DATA_PriHabilitacaoCNH',
CASE 
WHEN fcomp.numcnh IN ('00','000') THEN ''
WHEN CONVERT(VARCHAR(10),fcomp.numcnh) = ''  THEN ''
WHEN CONVERT(VARCHAR(10),fcomp.numcnh) = '0' then ''
when CONVERT(VARCHAR(10),fcomp.numcnh) IS null then ''
ELSE
dbo.FNC_ValidaData(FCOMP.datcnh, fun.DATADM, fun.datnas, 'DDMMAAAA')  END AS '95DATA_EmissaoCNH',
   LEFT(CASE 
				WHEN fcomp.numcnh IN ('00','000') THEN ''				
				WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.orgcnh IS NOT NULL AND fcomp.orgcnh <> '') THEN LTRIM(RTRIM(fcomp.orgcnh))
				WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.orgcnh IS NULL OR fcomp.orgcnh = '') THEN 'Detran'
      ELSE ''
   END,18) AS '96OrgaoEmissorCNH',
   CASE
      WHEN fcomp.numcnh IN ('00','000') THEN ''
	  WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') THEN '25'
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.estcnh IS NOT NULL AND fcomp.estcnh <> '') then dbo.fnc_depara(fcomp.estcnh, 'UF','ISL')
      ELSE ''
   END AS '97COD_UFEmissorCNH',
   CASE   
	  WHEN fcomp.numcnh IN ('00','000') THEN ''
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (REPLACE(CONVERT(DATE,FCOMP.DATCNH),'-','') = '19001231') THEN dbo.FNC_ValidaData(fcomp.vencnh+1, fun.DATADM+1, fun.datnas+1, 'DDMMAAAA')      
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.vencnh IS NOT NULL AND fcomp.vencnh <> '') THEN REPLACE(CONVERT(VARCHAR(10), fcomp.vencnh, 103), '/', '')
      WHEN (fcomp.numcnh <> '' AND fcomp.numcnh IS NOT NULL AND fcomp.numcnh <> '0') AND (fcomp.vencnh IS NULL OR fcomp.vencnh = '') THEN ''
      ELSE ''
   END AS '98DATA_ValidadeCNH',
   CASE
	  --WHEN FCOMP.NUMRES IN ('0','00','0000000000','000000000000','1,40132E+11') THEN ''                  
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN LEFT(DBO.FNC_SONUMEROS(fCOMP.NUMRES),12) = '' THEN ''
      ELSE '999'
   END AS '99DocumentoMilitar',
   CASE
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR)  IN ('1_1_8889','2_1_627') THEN RIGHT('00000000000' + CONVERT(VARCHAR, fun.numcpf), 11)                  
	  WHEN FCOMP.NUMRES IN ('0','00','0000000000','000000000000','1,40132E+11') THEN RIGHT('00000000000' + CONVERT(VARCHAR, fun.numcpf), 11)                  
      WHEN (fcomp.numres <> '' AND fcomp.numres IS NOT NULL) THEN LEFT(DBO.FNC_SONUMEROS(fCOMP.NUMRES),12)
      ELSE ''
   END AS '100NumeroCertMilitar',
       
   CASE 
	  --WHEN FCOMP.NUMRES IN ('0','00','0000000000','000000000000','1,40132E+11','1,41312E+11') THEN ''                              
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN LEFT(DBO.FNC_SONUMEROS(fCOMP.NUMRES),12) = '' THEN ''
      WHEN (fcomp.numres <> '' AND fcomp.numres IS NOT NULL) THEN '99'
      ELSE ''
   END AS '101SerieCertMilitar',
   '' AS '102CSM_OAMCertMilitar',
   '' AS '103RM_DNComarCertMilitar',
   LEFT(CASE
      WHEN FUN.TIPCOL = 2 THEN ''
	  WHEN FCOMP.NUMRES IN ('0','00','0000000000','000000000000','1,40132E+11','1,41312E+11') THEN ''                              
	  WHEN (fcomp.numres <> '' AND fcomp.numres IS NOT NULL) THEN LTRIM(RTRIM(fcomp.catres))
      ELSE ''
   END,3) AS '104CatCertMilitar',
   '' AS '105NumeroPassaporte',
   '' AS '106TipoPassaporte',
   '' AS '107PaisPassaporte',
   '' AS '108OrgaoEmissorPassaporte',
   '' AS '109COD_UFPassaporte',
   '' AS '110DATA_EmissaoPassaporte',
   '' AS '111DATA_ValidadePassaporte',
   
   CASE       	  	  
	  WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN ('1_1_8586','1_1_8686','1_1_8825','1_1_8868','1_1_8887','2_1_146','2_1_509','2_1_628','2_1_640') THEN ''
	  WHEN LTRIM(RTRIM(fcomp.regcon)) IN ('COREM','COREN','0') THEN ''
	  WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) THEN LTRIM(RTRIM(fcomp.regcon))	  
      ELSE ''
   END AS '112InscricaoOrgaoClasse',
   LEFT(CASE 
      WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN ('1_1_8586','1_1_8686','1_1_8825','1_1_8868','1_1_8887','2_1_146','2_1_509','2_1_628','2_1_640') THEN ''
	  WHEN LTRIM(RTRIM(fcomp.regcon)) IN ('COREM','COREN','0') THEN ''
	  WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (conprof.desprf <> '' AND conprof.desprf IS NOT NULL) THEN LTRIM(RTRIM(conprof.desprf))
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (conprof.desprf = '' OR conprof.desprf IS NULL OR conprof.desprf = '0') THEN 'DDDD'
      ELSE ''
   END,20) AS '113OrgaoEmissorOrgaoClasse', 
   CASE 
      WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN ('1_1_8586','1_1_8686','1_1_8825','1_1_8868','1_1_8887','2_1_146','2_1_509','2_1_628','2_1_640') THEN ''
	  WHEN LTRIM(RTRIM(fcomp.regcon)) IN ('COREM','COREN','0') THEN ''
	  WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (conprof.regprf <> '' AND conprof.regprf IS NOT NULL) THEN replace(dbo.fnc_depara(conprof.regprf, 'UF','ISL'), ' - DePara No Encontrado', '')
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (conprof.regprf = '' OR conprof.regprf IS NULL) THEN '25' /* RS */
      ELSE ''
   END AS '114COD_UFOrgaoClasse',
   CASE 
      WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN ('1_1_8586','1_1_8686','1_1_8825','1_1_8868','1_1_8887','2_1_146','2_1_509','2_1_628','2_1_640') THEN ''
	  WHEN LTRIM(RTRIM(fcomp.regcon)) IN ('COREM','COREN','0') THEN ''
	  WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datexp <> '' AND YEAR(fcomp.datexp)='1900') THEN dbo.FNC_ValidaData(fcomp.datexp,FUN.datadm,FUN.datnas,'DDMMAAAAA')
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datexp <> '' AND fcomp.datexp IS NOT NULL) THEN REPLACE(CONVERT(VARCHAR(10), fcomp.datexp, 103), '/', '')
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datexp = '' OR fcomp.datexp IS NULL) THEN dbo.FNC_ValidaData(FUN.datadm,FUN.datadm,FUN.datnas,'DDMMAAAAA')
      ELSE ''
   END AS '115DATA_EmissaoOrgaoClasse',
    CASE 
      WHEN CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR) IN ('1_1_8586','1_1_8686','1_1_8825','1_1_8868','1_1_8887','2_1_146','2_1_509','2_1_628','2_1_640') THEN ''
      WHEN LTRIM(RTRIM(fcomp.regcon)) IN ('COREM','COREN','0') THEN ''
	  WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datven <> '' AND YEAR(fcomp.datven)='1900') THEN dbo.FNC_ValidaData(fun.DATADM+1,FUN.datadm+1,FUN.datnas+1,'DDMMAAAAA')
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datven <> '' AND fcomp.datven IS NOT NULL) THEN  REPLACE(CONVERT(VARCHAR(10), fcomp.datven, 103), '/', '') 
      WHEN (LTRIM(RTRIM(fcomp.regcon)) <> '0' AND fcomp.regcon <> '' AND fcomp.regcon IS NOT NULL) AND (fcomp.datven = '' OR fcomp.datven IS NULL) THEN  dbo.FNC_ValidaData(fun.DATADM+1,FUN.datadm+1,FUN.datnas+1,'DDMMAAAAA')
      ELSE ''
   END AS '116DATA_ValidadeOrgaoClasse',
   CASE 
      WHEN fcomp.proexm < fun.datnas THEN ''
      ELSE ISNULL(REPLACE(CONVERT(VARCHAR(10), fcomp.proexm, 103), '/', ''), '')
    END AS '117DATA_VencimentoASO',
   '' AS '118Posicao',
   --(SELECT TOP 1 FIL.codfil FROM R038HFI  WHERE R038HFI.numemp = FUN.numemp AND R038HFI.NUMCAD = FUN.numcad order by datalt asc)   AS '119COD_Estabalecimento',
   CASE WHEN fun.numemp = 1 THEN '304001'
		 WHEN fun.numemp = 2 THEN '303001'
		 ELSE '' 
	END AS '119COD_Estabalecimento',
   '' AS '120COD_OrgaoResposavel',
   '999999999'  AS '121COD_UnidadeORG',
   '' AS '122PermiteSobreporGestor',
   'N' AS '123ColaboradorGestor',
   --isnull((SELECT TOP 1 codccu FROM r038HCC WHERE r038HCC.numemp = FUN.numemp AND r038HCC.numcad = FUN.NUMCAD  order by datalt asc), fun.codccu) as '124CODCCU',
   '304-102100' as '124CODCCU',
   '' AS '125LOCALDETRABALHO',
   isnull(REPLACE(dbo.fnc_depara((SELECT CARG1.codcar FROM r038hca carg1 where  carg1.numemp = FUN.numemp AND carg1.numcad = FUN.NUMCAD and fun.datadm = carg1.datalt), 'CARGOS','HMC-IMC-SJRP'), ' - DePara No Encontrado', '') , dbo.fnc_depara(fun.codcar, 'CARGOS','HMC-IMC-SJRP'))  AS '126CARGOEFETIVO',   
   '' AS '127TABSALCARGEFETIVO',
   '' AS '128FX_TAB_SALARIO',
   '' AS '129NIVELTABCARGO',
     case when fun.tipcol = 2 then 1 
	                          else 
                                    isnull((SELECT TOP 1 CASE WHEN R038HSA.valsal = 0  THEN 0.01 ELSE convert(decimal(10,2), R038HSA.valsal,2) END FROM r038hsa where  r038hsa.numemp = FUN.numemp AND r038hsa.numcad = FUN.NUMCAD  order by datalt asc), isnull(fun.valsal, 0.01))
	 end AS '130SALARIO',
   '' AS '131FUNCAOEFETIVA',
   '' AS '132TABSALARIAL_FUNC_EFETIVA',
   '' AS '133FXTABELASAL',
   '' AS '134NIVELSAL',
   '' AS '135SALFUNCEFETIVA',
   '' AS '136CARGOCOMISSIONADO',
   '' AS '137TABSALARIALCARGOCOMISSIONADO',
   '' AS '138FXTABSALARIAL',
   '' AS '139NIVELTABSALARIAL',
   '' AS '140SALCARGOCOMISSIONADO',
   '' AS '141FUNCCOMISSIONADA',
   '' AS '142TABSALARIALFUNC',
   '' AS '143FXTABSAL',
   '' AS '144NIVELTABFUNC',
   '' AS '145SALFUNCOMIS',
   '' AS '146DESCSALVARIAVEL',
   '' AS '147CBO',
   CASE FUN.TIPCOL 
		WHEN 1 THEN 
				CASE WHEN FUN.cateso IN (901,701,722,723) 
					THEN '' 
					ELSE ISNULL((select TOP 1  dbo.fnc_depara( his.codsin, 'SINDICATO', 'HMC-IMC-SJRP') from    r038hsi his     where    his.datalt = fun.datadm    and FUN.TIPCOL = 1   AND his.NUMEMP = FUN.NUMEMP AND	  his.TIPCOL = FUN.TIPCOL AND	  his.NUMCAD = FUN.NUMCAD order by datalt asc),'') 
				END	
		ELSE '' 
   END AS '148SINDICATO',
   '' AS '149SINDPROFLIBERAL',
   '' AS '150NATPROF',
   '' AS '151DESCCONTRSIND',
   case 
    when fun.tipcol = 1 then 1 
    when fun.tipcol = 2 then 100
    else null
   end AS "152CODSITUACAO",
   REPLACE(convert(varchar(10),fun.datadm,103),'/','') as '153DT_INICIO_SIT',   
   CASE 
   WHEN FUN.TIPCOL = 2 then 701
   WHEN fun.cateso = 999 THEN 101 
   ELSE fun.cateso END AS '154CATEGORIA',
   CASE WHEN fun.cateso = 901 THEN  '' ELSE '1' END AS '155REGTRABA',
   CASE WHEN fun.cateso = 901 THEN  '5' ELSE '1' END AS '156TPPREVI',
   '' AS '157MATTPPREV',
   '' AS '158DESCPREV',
   CASE WHEN CATESO IN (305, 721, 722, 723,901) THEN '' ELSE '1' END  AS '159NATATIVIDADE',
   1 AS '160INDADM',
   '' AS '161DTINIBENEF',
   '' AS '162HIPOTESECONT',
   '' AS '163BRANCO',
   '' AS '164BRANCO',
   CASE WHEN CATESO IN (305, 721, 722, 723,901) THEN '' ELSE '1' END AS '165TPADMESOCIAL',
   '' AS '166NUMPROCSELETIVO',
   '' AS '167DTPUBL',
   '' AS '168STPUBL',
     CASE WHEN fun.cateso IN ('0','722','901','701') THEN ''
        ELSE 'S' 
   END AS '169FGTS',
   '' AS '170CONTAFGTS',
   CASE WHEN fun.cateso IN ('0','722','901','701') THEN ''
		WHEN fun.cateso IN ('101','103','105') AND FUN.DATOPC='00/00/0000' THEN REPLACE(CONVERT(VARCHAR(10), CONVERT(DATE,fun.datadm,104), 103), '/', '')
        ELSE CASE WHEN year(CONVERT(DATE,FUN.DATOPC,104)) > 2021 THEN REPLACE(CONVERT(VARCHAR(10), CONVERT(DATE,fun.datadm,104), 103), '/', '') 
		          ELSE REPLACE(CONVERT(VARCHAR(10), CONVERT(DATE,fun.datadm,104), 103), '/', '')  
		       END  
	END AS '171DTOPFGTS',  
   CASE 
    WHEN FUN.TIPCOL = 1 AND FUN.cateso<>701 THEN '1134'
    ELSE '' 
   END AS "172ESCALA",
   --999991 AS '172ESCALA' ,
   '' AS '173MARCAPONTO',
   '' AS '174FORMAREGPONTO',
   '' AS '175COLABTEMPPARC',
   case when fun.codban > 0 then '1' else ''end AS '176FORMAPAGTO',
   case when fun.codban >= 1 then CONVERT(varchar,fun.codban) else '' end  AS '177BANCO',
   case when fun.codban >= 1 then right('0000' + convert(varchar,fun.codage), 4) else '' end  AS '178AGENCIA',
   case when fun.codban >= 1 then CONVERT(varchar,fun.conban) else '' end  AS '179CONTA',
   case when fun.codban >= 1 then case when fun.conban>0 then fun.digban else '0'end else '' end  AS '180DVCONTA',
   '' AS '181NATESTAGIO',
   '' AS '182AREAESTAGIO',
   '' AS '183NUMSEGURO',
   '' AS '184AGINTEGRAESTAGIO',
   '' AS '185INSENS',
   '' AS '186CPFSUPER',
   '' AS '187NOMESUPER',
   '' AS '188EMPORIGEM',
   '' AS '189CPFEMP_ORIGEM',
   '' AS '190MATEMP',
   '' AS '191DTADM_EMP_ORIGEM',
   '' AS '192DTSUCESSAO',
   '' AS '193OBSSUCESSAO',
   '' AS '194DTCESSAO',
   '' AS '195ONUSCESSAO',
   '' AS '196CATDIRSINDICAL',
   '' AS '197PRIMEIROEMPREGO',
   FUN.APOESP AS '198AGENTENOCIVO',
   CASE 
			WHEN		
				fun.cateso = '101' THEN 'S' --Vinculo = Trab.Urbano Vinc.PJ - CLT Ind./Trab.Urbano Vinc.PJ - CLT Det.
			WHEN		
				fun.cateso = '103' THEN 'S' --Vinculo = Menor Aprendiz
			WHEN		
				fun.cateso = '901' THEN 'S' --Vinculo = Contr.Trab.Prazo Deter.Lei9601 (ESTAGIARIO)
			WHEN		
				fun.cateso in ('722','701','0') THEN 'N' --Vinculo = DIRETOR ou AUTONOMO

		END AS '199CONT_EXP',
		CASE 
			WHEN		
				fun.cateso = '101' THEN '90' --Vinculo = Trab.Urbano Vinc.PJ - CLT Ind./Trab.Urbano Vinc.PJ - CLT Det.
			WHEN		
				fun.cateso = '103' THEN '730' --Vinculo = Menor Aprendiz
			WHEN		
				fun.cateso = '901' THEN '365' --Vinculo = Contr.Trab.Prazo Deter.Lei9601 (ESTAGIARIO)
			WHEN		
				fun.cateso in ('722','701','0') THEN '' --Vinculo = DIRETOR ou AUTONOMO
		END AS '200QT_DIAS_CONT',
		CASE 
			WHEN		
			    fun.cateso = '101' THEN REPLACE(CONVERT(varchar(10), CAST(DATEADD(DAY, 89,  CONVERT(DATE,FUN.DATADM,104)) as date), 103),'/','') --Vinculo = Trab.Urbano Vinc.PJ - CLT Ind./Trab.Urbano Vinc.PJ - CLT Det.
			WHEN		
				fun.cateso = '103' THEN REPLACE(CONVERT(varchar(10), CAST(DATEADD(DAY, 729, CONVERT(DATE,FUN.DATADM,104)) as date), 103),'/','') --Vinculo = Menor Aprendiz
			WHEN		
				fun.cateso = '901' THEN REPLACE(CONVERT(varchar(10), CAST(DATEADD(DAY, 364, CONVERT(DATE,FUN.DATADM,104)) as date), 103),'/','') --Vinculo = Contr.Trab.Prazo Deter.Lei9601 (ESTAGIARIO)
			WHEN		
				fun.cateso in ('722','701','0') THEN '' --Vinculo = DIRETOR ou AUTONOMO
		END AS '201DT_VENC_CONTRATO',
   'N'   AS '202PRORROGCONTR',
   '' AS '203QTDDIASPRORROG',
   '' AS '204DTVENCPRORROG',
   '' AS '205CONTR_PZ_DETERMINADO',
   '' AS '206APOSPORTEMP',
   CASE fun.cateso 
	WHEN 722 THEN 80
	WHEN 901 THEN 81
	ELSE    
		   CASE fun.codvin
			  WHEN  0 THEN 10
			  WHEN  1 THEN 81
			  WHEN 10 THEN 10
			  WHEN 13 THEN 10
			  WHEN 14 THEN 10
			  WHEN 16 THEN 10
			  WHEN 40 THEN 40
			  WHEN 50 THEN 50
			  WHEN 55 THEN 55
			  WHEN 80 THEN 80
			  WHEN 90 THEN 81
			  WHEN 91 THEN 10
			  WHEN 92 THEN 10
			  WHEN 93 THEN 10
			  WHEN 95 THEN 10
			  WHEN 96 THEN 10
			  WHEN 99 THEN 10
			  ELSE 10 
		END 
	END AS '207VINCULO',
   /*CASE WHEN fun.tipadm = 6 THEN '2'
       WHEN fun.tipadm=0 THEN '1' /* Padro */
      WHEN fun.tipadm=1 THEN '1'
      WHEN fun.tipadm=2 THEN '2'
      WHEN fun.tipadm=3 THEN '3'
      WHEN fun.tipadm=4 THEN '4'
      WHEN fun.tipadm=5 THEN '6' END */ '2' AS '208TIPADM',
   CASE WHEN FUN.CAUDEM = 1 THEN 32
		WHEN FUN.CAUDEM = 2 THEN 31
		WHEN FUN.CAUDEM = 3 THEN 31
		WHEN FUN.CAUDEM = 4 THEN 40
		WHEN FUN.CAUDEM = 6 THEN 80
		WHEN FUN.CAUDEM = 7 THEN 80
		WHEN FUN.CAUDEM = 8 THEN 60
		WHEN FUN.CAUDEM = 9 THEN 60
		WHEN FUN.CAUDEM = 11 THEN 32
		WHEN FUN.CAUDEM = 12 THEN 45
		WHEN FUN.CAUDEM = 13 THEN 31
		WHEN FUN.CAUDEM = 14 THEN 40
		WHEN FUN.CAUDEM = 22 THEN 50
		WHEN FUN.CAUDEM = 23 THEN 50
		WHEN FUN.CAUDEM = 99 THEN 31
		WHEN FUN.CAUDEM = 26 THEN 31
		WHEN FUN.CAUDEM = 98 THEN 31
		WHEN FUN.CAUDEM = 27 THEN 90 
		ELSE '20' 
   END AS '209MOVCAGED',
   CASE WHEN (fun.visest <> 0 AND fun.visest IS NOT NULL) OR ISNULL(NAC.PAIDIR, '105') <> '105'  THEN '7' ELSE '' END AS '210CONDINGRTRAB',
   '' AS '211FILIASIN',
   '' AS '212OBSPCD',
   CASE 
	WHEN FUN.TIPCOL = 2 then 701
	WHEN fun.cateso = 999 THEN 101 
	ELSE fun.cateso END AS '213CATCESSAO',
   CASE WHEN fun.codban >= 1 THEN CONVERT(VARCHAR,fun.tipcon) ELSE '' END AS '214TPCONTA',
   '' AS '215DESCORGEMISS',
   --(SELECT TOP 1 FIL.codfil FROM R038HFI  WHERE R038HFI.numemp = FUN.numemp AND R038HFI.NUMCAD = FUN.numcad order by datalt asc) AS '216LOTACAOTRIBUTARIA',
   CASE WHEN fun.numemp = 1 THEN '304001'
	    WHEN fun.numemp = 2 THEN '303001'
		ELSE '' 
	END AS '216LOTACAOTRIBUTARIA',
   'N' AS '217COTAPCD',
   '' AS '218INDPROVIMENTO',
   '' AS '219TP_PROV',
   '' AS '220DTNOMEACAO',
   '' AS '221DTPOSSE',
   '' AS '222DTENTRAEX',
   '' AS '223TPPLANO',
   '' AS '224NUMPROCJUDICIAL',
   '' AS '225TPREGPREV',
   '' AS '226TPREGTRABA',
   '' AS '227NIVELESTA',
   '' AS '228JUSTCONTRATEMP',
   '' AS '229TPINCLCONTRAT',
   '' AS '230JUSTPRORROG',
   '' AS '231NOMESOCIAL',
   '' AS '232NATBRA',
   '' AS '233ADMCONT',
   'ISENTO DE PONTO' AS '234PERFFREQ',
   '' AS '235TURMA',
   '' AS '236COLDESLEMP',
   '0' AS '237TOPESSOA',
   '' AS '238CPFMEI',
   '' AS '239INSCISS',
   case when fun.tipcol = 2 then '1' else '' end AS '240STATUSAUTONOMO',
   '' AS '241GPS',
   case when fun.tipcol = 2 then '13' else '' end AS '242CATAUTONOMO',
   '' AS '243DISPMEI',
   '' AS '244CLASSE',
   '' AS '245MATPREV',
   '' AS '246MATESOCIAL',
   '' AS '247TPIDENEMPRESA',
   '' AS '248UTILIZACTPS',
   '' AS '249DT_INGRESSO_CARGO',
   '' AS '250TETOGRPS',
   '' AS '251RECABONOPERMA',
   '' AS '252CARGO_ACUMULAVEL',
   '' AS '253NUMPROCTRABA',
   '' AS '254TEMPO_RES',
   '' AS '255REGTRAB',
   '' AS '256TPREGPREV',
   '' AS '257DT_INI_ABONO_PERMA',
   '' AS '258OP_REMU_MANDELETIVO',
   '' AS '259REGTRAB',
   '' AS '260TPREGPREV',
   '' AS '261COLAB_CED',
   '' AS '262DTINI_CES',
   '' AS '263COLABHO',
   '' as '264Genero',
   '' AS '265',
   '' AS '266',
   '' AS '267',
   '' AS '268',
   '' AS '269',
   '' AS '270',
   '' AS '271',
   '' AS '272'
   
FROM
    R034FUN fun       /* Funcionrio */
   LEFT JOIN R022DEF def ON fun.coddef = def.coddef                                                   /* Deficincias */
   LEFT JOIN R034CPL fcomp ON  fun.numemp = fcomp.numemp AND fun.numcad = fcomp.numcad AND fun.tipcol = fcomp.tipcol /* Ficha Complementar */
   LEFT JOIN R074BAI bai ON fcomp.codbai = bai.codbai AND fcomp.codcid = bai.codcid                           /* Bairro */
   LEFT JOIN R022PRF conprof ON fcomp.codprf = conprof.codprf                                          /* Conselhos Profissionais */
   LEFT JOIN R034EST est ON fun.numemp = est.numemp AND fun.tipcol = est.tipcol AND fun.numcad = est.numcad         /* Inf Estrageiros */
   LEFT JOIN R030FIL FIL ON fun.numemp = FIL.numemp and FIL.codfil = fun.codfil /*DADOS */
   LEFT JOIN r034adm ADM  ON FUN.numcad = ADM.numcad AND FUN.numemp = ADM.numemp AND ADM.tipcol = fun.tipcol
   LEFT JOIN R033PES PES ON PES.codpes = FUN.codpes
   LEFT JOIN r042rcm RES ON FUN.numemp = RES.numemp AND FUN.numcad = RES.numcad 
   LEFT join r074pai NAC ON FCOMP.painas = NAC.codpai
   --LEFT JOIN R036DEP DEP ON DEP.NUMEMP = FUN.NUMEMP AND DEP.TIPCOL = FUN.TIPCOL AND DEP.NUMCAD = FUN.NUMCAD
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG
   ON FUN.numemp=MIG.NUMEMP AND FUN.TIPCOL=MIG.TIPCOL AND FUN.numCAD=MIG.NUMCAD
WHERE 
   FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
    (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido




--=================================================================================================================================================
--2.3 - LAYOUT PARA CAMPO 0033 ALTERA COLABORADOR PARA PESSOA COM DEFICIENCIA
---------------------------------------------------------------------------------------------------------------------------------------------------
SELECT	
		'00010'											AS "0001_CodigoLeiaute", -- Fixo: 00010
		''												AS "0002_Pessoa_ID_colaborador",
		DBO.fnADP_DEPARA_GERAL('005', FUN.[Empresa])	AS "0003_Empresa_contrato",
		FUN.[Matrcula]									AS "0004_Matrcula_colaborador",
		'33'											AS "0005_Campo",
		'S'												AS "0006_Valor"
   FROM FUNCIONARIOS FUN 
  WHERE FUN.[Pessoa com deficincia] = 'S'

--=================================================================================================================================================
--2.4 - LAYOUT PARA CAMPO 0033 ALTERA COLABORADOR PARA PESSOA COM DEFICIENCIA
---------------------------------------------------------------------------------------------------------------------------------------------------
SELECT	
		'00020'											AS "0001_CodigoLeiaute", -- Fixo: 00020
		''												AS "0002_Pessoa_ID_colaborador",
		DBO.fnADP_DEPARA_GERAL('005', FUN.[Empresa])	AS "0003_Empresa_contrato",
		FUN.[Matrcula]									AS "0004_Matrcula_colaborador",
		PCD.CodTipoDeficienciaLG						AS "0005_Tipo_deficiencia",
		PCD.CodClassificaaoLG					AS "0006_Classificacao_tipodeficiencia",
		FUN.[Data de admisso Contrato]					AS "0007_Data inicio_deficiencia",
		''												AS "0008_Data_fim_deficiencia"
 FROM FUNCIONARIOS FUN 
	  LEFT JOIN Tab_PessoaComDeficiencia PCD
	  ON PCD.Matricula = FUN.Matrcula
  WHERE FUN.[Pessoa com deficincia] = 'S'

  --==================================================================================================================
--3.0 - ATUALIZAO DE CC, ALTERAO ENVIADA POR ANDREA 
--====================================================================================================================
SELECT  DISTINCT
		--cc.codigo,CC.numcad,cc.numemp,cc.tipcol,
		
		CC.[DATA HISTORICO],cc.DTHIST_TXT,
		'010.3' AS "001-Cdigo de identificao do leiaute",
		'' AS "002Pessoa ID - colaborador",
		CASE WHEN fun.numemp = 1 THEN 304
			 WHEN fun.numemp = 2 THEN 303
			 ELSE '' 
		END as '5COD_EMP',      
        dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS '6MATRICULA',         
		'124' AS "005-CODIGO DO CAMPO",
		dcc.COD_CC_PARA as COD_CC
		--cc.CODIGO--DBO.fnADP_DEPARA_GERAL('119', FUN.[Estabelecimento]) AS "006-Estabelecimento"
		,CONVERT(VARCHAR(10), FUN.DATADM, 103)
   FROM R034FUN FUN 
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG
			ON FUN.numemp=MIG.NUMEMP AND FUN.TIPCOL=MIG.TIPCOL AND FUN.numCAD=MIG.NUMCAD
	   LEFT JOIN TB_AUX_CC CC
			ON fun.numemp = CC.numemp AND fun.numcad = CC.numcad AND fun.tipcol = CC.tipcol 
			AND REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '') <> REPLACE(CC.[DATA HISTORICO], '/', '')
	left join LG_DEPARA_CC dcc
	on cc.codemp=dcc.CODEmp and cc.codigo=dcc.cod_cc_de

	
WHERE dcc.COD_CC_PARA<>'NULL'
order by 5,6,2
--select RIGHT('00' + CONVERT(VARCHAR, cod_cc_de), 2) from LG_DEPARA_CC where len(cod_cc_de)=1

--update LG_DEPARA_CC SET COD_CC_DE=RIGHT('00' + CONVERT(VARCHAR, cod_cc_de), 2) from LG_DEPARA_CC where len(cod_cc_de)=1