/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS BANCOS                                                                                         **/
/**** SCRITP DE FUNO                                                                                               **/
/**** ESSE SCRIPT RETORNO O CODIGO DO SINDICATO LG DA TABELA IMPORTADA ENVIADA PELA CICOPAL
/**** DE COLABORADORES QUE NO POSSUEM SINDICATO                                                                     **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO DA FUNCAO
--------------------------------------------------------
CREATE OR REPLACE FUNCTION FN_RETORNA_CENTRO_CUSTO(FILIAL IN VARCHAR2, MATRICULA IN VARCHAR2) 

   RETURN NUMBER 
   
   IS CODIGO_CENTRO_CUSTO NUMBER;
   
   BEGIN 
   
    SELECT 
    TRIM(T.RE_CCD)
    INTO CODIGO_CENTRO_CUSTO
    FROM TB_AUX_TRANSFERENCIA T
    WHERE TRIM(T.RE_MATD) = TRIM(MATRICULA)
    AND TRIM(T.RE_FILIALD) = TRIM(FILIAL)
    AND T.RE_DATA <=         (SELECT MIN(T2.RE_DATA)
                            FROM TB_AUX_TRANSFERENCIA T2
                            WHERE TRIM(T2.RE_MATD) = TRIM(MATRICULA)
                            AND TRIM(T2.RE_FILIALD) = TRIM(FILIAL)
                            AND ROWNUM = 1)
                            AND ROWNUM = 1;
                             
      RETURN(CODIGO_CENTRO_CUSTO); 
      
    END;
    
 
    
    