/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAÇÃO DOS DEPENDENTES                                                                                    **/
/**** SCRITP DE PREPARAÇÃO DA MIGRAÇÃO                                                                               **/
/**** ESSE SCRIPT GERA LAYOUT (TB_AUX_PENSIONISTA)                                                                   **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAÇÃO LAYOUT DE PENSIONISTA - PERCENTUAL PAGTO
--------------------------------------------------------
SELECT 

'110.2' AS "LAUOUT",
' ' "VAZIO",
FN_RETORNA_EMPRESA(PENSIONI.RQ_FILIAL, PENSIONI.CODEMP) AS "03_Empresa do contrato",
LGM.MATRICULA_LG  AS "04_Matrícula do colaborador",
ROW_NUMBER() OVER(PARTITION BY PENSIONI.CodEmp, PENSIONI.RA_MAT ORDER BY PENSIONI.RQ_NOME) AS "05_Sequencial único que representa o Pensionista",
100.00 AS "14_Percentual do Pensionista",
CASE ROW_NUMBER() OVER(PARTITION BY PENSIONI.CodEmp, PENSIONI.RA_MAT ORDER BY PENSIONI.RQ_NOME)
WHEN 1 THEN '13385'
WHEN 2 THEN '13386' 
WHEN 3 THEN '13387' ELSE '' END AS "07_Evento"

FROM 
TB_AUX_PENSIONISTA PENSIONI
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC ON (FUNC.CODEMP = PENSIONI.CodEmp AND FUNC.RA_MAT = PENSIONI.RA_MAT AND FUNC.RA_FILIAL = PENSIONI.RQ_FILIAL)
--INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS on FUNC.CODEMP = TB_AUX_FUNCIONARIOS_MIGRADOS.CODEMP 
--AND FUNC.RA_MAT = TB_AUX_FUNCIONARIOS_MIGRADOS.RA_MAT

LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = FUNC.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = FUNC.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = FUNC.CODEMP
    
WHERE RQ_NOME <> ' '

ORDER BY 3,4