SELECT
    'ENTO'              AS "001 ENTO",
    ROW_NUMBER()
    OVER(
        ORDER BY
            MOV.CODEMP, MOV.R3_FILIAL, MOV.R3_MAT, MOV.R3_DATA
    )                    AS "002 ID",
    'NO'                AS "003 IGNORAR",
  --  MOV.R3_DATA,
    SUBSTR(MOV.R3_DATA,7,2) ||'/' || SUBSTR(MOV.R3_DATA, 5, 2) || '/' || SUBSTR(MOV.R3_DATA,1, 4) AS "004 DATA MOVIMENTAO",
-----------------------------------------------------------------------------------------------
    FN_RETORNA_EMPRESA(TB_AUX_FUNCIONARIOS.RA_FILIAL, TB_AUX_FUNCIONARIOS.CODEMP) AS "005 CODIGO DA EMPRESA",
-----------------------------------------------------------------------------------------------
    LGM.MATRICULA_LG 	          AS "006 MATRICULA",
-----------------------------------------------------------------------------------------------
    
	
CASE TRIM(NVL(X5_CHAVE,'XX'))
WHEN '007' THEN 31
WHEN '009' THEN 35
WHEN 'XX' THEN 15
WHEN '002' THEN 24
WHEN '003' THEN	13
WHEN '012' THEN 15	
WHEN '008' THEN 12
WHEN '006' THEN 11	
WHEN '004' THEN 4
WHEN '005' THEN 21
WHEN '001' THEN 8
WHEN '011' THEN 16	
WHEN '010' THEN 42 ELSE 0 END AS "007 CODIGO DO MOTIVO DA MOVIMENTAO", 
-----------------------------------------------------------------------------------------------
CASE TRIM(NVL(X5_CHAVE,'XX'))
WHEN '007' THEN 'REAJUSTE ANUAL'
WHEN '009' THEN 'ACORDO COLETIVO DE TRABALHO'
WHEN 'XX' THEN 'ENQUADRAMENTO'
WHEN '002' THEN 'ANTECIPAO DISSIDIO COLETIVO'
WHEN '003' THEN	'DISSIDIO'
WHEN '012' THEN 'ENQUADRAMENTO'	
WHEN '008' THEN 'INICIO PLANO CARGOS E SALARIOS'
WHEN '006' THEN 'SALARIO MINIMO'	
WHEN '004' THEN 'PROMOO'
WHEN '005' THEN 'MUDANA DE CARGO'
WHEN '001' THEN 'SALRIO INICIAL'
WHEN '011' THEN 'RETIFICACAO SALARIAL'	
WHEN '010' THEN 'CONVENO COLETIVA DE TRABALHO' ELSE '' END AS "008 DESCRIO",
'CARGO_EFETIVO' AS "069 TIPO DE SALARIO",
    /*RETORNO RED JORNADA MP936 ----CAMPOS 70 E 71 FICAM EM BRANCO*/
	'INFORMADO' "070 TIPO DE REAJUSTE",
    MOV.R3_VALOR "071 PROXIMO SALARIO",

/*OBS: QDO NA NUVEM O MOTIVO DE ALTERAO TIVER VALOR NO CAMPO "TIPO DO INSTRUMENTO" ESSE CAMPO DEVE SER PREENCHIDO
A - ACORDO COLETIVO DE TRABALHO
C - CONVENO COLETIVA DE TRABALHO*/
CASE TRIM(NVL(X5_CHAVE,'XX'))
WHEN '009' THEN SUBSTR(MOV.R3_DATA,7,2) ||'/' || SUBSTR(MOV.R3_DATA, 5, 2) || '/' || SUBSTR(MOV.R3_DATA,1, 4)
WHEN '010' THEN SUBSTR(MOV.R3_DATA,7,2) ||'/' || SUBSTR(MOV.R3_DATA, 5, 2) || '/' || SUBSTR(MOV.R3_DATA,1, 4) ELSE '' END AS "092 DATA ALTERAO",

/*OBS: QDO NA NUVEM O MOTIVO DE ALTERAO TIVER VALOR NO CAMPO TIPO DO INSTRUMENTO ESSE CAMPO DEVE SER PREENCHIDO
REDUO DE SALRIO CONFORME MP 936/MP 1045
RETORNO REDUO DE SALRIO PERMITIDO PELA MP 936/MP 1045*/

'' AS "094 DURAO DA REDUO SALARIAL EM DIAS",
/*RED JORNADA MP936 ----CAMPO 95 DEVE SER PREENCHIDO*/
'' AS "095 PERCENTUAL DE REDUO ACUMULADO"

FROM 
TB_AUX_HISTORICOSALARIO MOV
LEFT JOIN TB_AUX_MOTIVOS_MOVIMENTACAO ON X5_CHAVE = MOV.R3_TIPO AND X5_FILIAL = MOV.R3_FILIAL
LEFT JOIN TB_AUX_FUNCIONARIOS ON RA_FILIAL = MOV.R3_FILIAL AND RA_MAT = MOV.R3_MAT
AND TB_AUX_FUNCIONARIOS.CODEMP = MOV.CODEMP

LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = TB_AUX_FUNCIONARIOS.CODEMP
	
INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS F ON MOV.CODEMP = F.CODEMP
                                                 AND MOV.R3_FILIAL = F.RA_FILIAL
                                                AND MOV.R3_MAT = F.RA_MAT

WHERE MOV.R3_DATA <> TB_AUX_FUNCIONARIOS.RA_ADMISSA
AND MOV.R3_VALOR <> 0
--AND  MOV.R3_MAT = '000177'
--AND MOV.R3_FILIAL = 010101
