CREATE TABLE TB_AUX_MOVITOAFASTAMENTO AS (
select DISTINCT '01' CODEMP, C8N.* from SIGAP12.C8N010 C8N WHERE D_E_L_E_T_ <> '*'
UNION ALL
select DISTINCT '06' CODEMP, C8N.* from SIGAP12.C8N060 C8N WHERE D_E_L_E_T_ <> '*';
);


select * from  SIGAP12.C8N010;

SELECT DISTINCT HIS.CODEMP, HIS.R8_TIPOAFA, MTV.C8N_DESCRI
       FROM TB_AUX_HISTORICOAFASTAMENTO HIS
       INNER JOIN  TB_AUX_MOVITOAFASTAMENTO MTV  
       ON (HIS.CODEMP = MTV.CODEMP AND TO_NUMBER(TRIM(MTV.C8N_CODIGO)) = TO_NUMBER(TRIM(HIS.R8_TIPOAFA)))
GROUP BY HIS.R8_TIPOAFA, HIS.CODEMP,MTV.C8N_DESCRI
ORDER BY HIS.CODEMP, HIS.R8_TIPOAFA;

SELECT DISTINCT * FROM TB_AUX_MOVITOAFASTAMENTO ORDER BY CODEMP, C8N_CODIGO;

