SELECT 

'0' AS "01_TIPO DE OPERAO",  /*INCLUSO*/
TO_CHAR (TO_DATE (RE_DATA, 'YYYYMMDD'), 'YYYY/MM/DD') AS "02_DATA DA MOVIMENTAO",
EMPRESA_ORIGEM.CODIGO_EMPRESA_LG AS "03_EMPRESA ORIGEM",	
MAT_SUCESSAO.MATRICULA_LG AS "04_MATRCULA DO COLABORADOR NA EMPRESA ORIGEM",
EMPRESA_DESTINO.CODIGO_EMPRESA_LG AS "05_EMPRESA DESTINO",
MAT_FUNC.MATRICULA_LG AS "06_MATRCULA DO COLABORADOR NA EMPRESA DESTINO",
'TRANSFERNCIA' AS "07_DESCRIO",
'10' AS "08_CDIGO DO MOTIVO DA MOVIMENTAO"

FROM TB_AUX_TRANSFERENCIA
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_ORIGEM ON FUNC_ORIGEM.RA_FILIAL = RE_FILIALD AND FUNC_ORIGEM.RA_MAT = RE_MATD
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_DESTINO ON FUNC_DESTINO.RA_FILIAL = RE_FILIALP AND FUNC_DESTINO.RA_MAT = RE_MATP
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_DESTINO ON TRIM(EMPRESA_DESTINO.M0_CODFIL) = TRIM(RE_FILIALP) 
AND TRIM(EMPRESA_DESTINO.M0_CODIGO) = FUNC_DESTINO.CODEMP
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_ORIGEM ON TRIM(EMPRESA_ORIGEM.M0_CODFIL) = TRIM(RE_FILIALD)
AND TRIM(EMPRESA_ORIGEM.M0_CODIGO) = FUNC_ORIGEM.CODEMP


LEFT JOIN LG_DEPARA_MATRICULA MAT_SUCESSAO ON TO_NUMBER(MAT_SUCESSAO.FILIAL_PROTHEUS) = 
TO_NUMBER(RE_FILIALD) AND TO_NUMBER(MAT_SUCESSAO.MATRICULA_PROTHEUS) 
= TO_NUMBER(RE_MATD) AND MAT_SUCESSAO.EMPESA_PROTHEUS = FUNC_ORIGEM.CODEMP

LEFT JOIN LG_DEPARA_MATRICULA MAT_FUNC ON 
TO_NUMBER(MAT_FUNC.FILIAL_PROTHEUS) = 
TO_NUMBER(RE_FILIALP) AND TO_NUMBER(MAT_FUNC.MATRICULA_PROTHEUS) = TO_NUMBER(RE_MATP)
AND MAT_FUNC.EMPESA_PROTHEUS = FUNC_DESTINO.CODEMP

WHERE RE_FILIALD <> RE_FILIALP
AND EMPRESA_ORIGEM.CODIGO_EMPRESA_LG <> EMPRESA_DESTINO.CODIGO_EMPRESA_LG
--AND FUNC_ORIGEM.RA_CIC = '47560037372'
ORDER BY 1




