--==================================================================================================================================================
--= Cria tabela Detalhada
--= Necessrio cast nas colunas 7 e 8
--= Sufixo V  a versao do DE PARA
--SELECT * FROM lg_ff_detalhada_V1;
--DELETE FROM lg_ff_detalhada_V1;
--DROP TABLE lg_ff_detalhada_V1;
--SELECT COUNT("02_Codigo_Emp") FROM lg_ff_detalhada_V1;
--==================================================================================================================================================
--CREATE TABLE TB_AUX_FICHA_DETALHADA_V1 AS 
SELECT
            '3'                                                                                                                   AS "01_Quando",
               -- Sobrepor os registros existentes
               --'3' AS "01_Quando o registro existir", -- Somar os registros existentes
               --'5' AS "01_Quando o registro existir",   -- EXCLUIR
               
            fn_retorna_empresa(af.rd_filial, af."CodEmp")                                              AS "02_Codigo_Emp",    
            to_number(af.rd_mat)                                                                                   AS "03_Matricula",
            dp.cod_folha_para                                                                                        AS "04_Codigo_folha",    
            substr(af.rd_dtref, 5, 2)  || substr(af.rd_dtref, 1, 4)                                        AS "05_Mes_Ref",
            dp.cod_evento_para                                                                                     AS "06_Codigo_Eve",  
            CAST(NULL AS NUMBER(1))                                                                        AS "07_Total_parc",
            CAST(NULL AS NUMBER(1))                                                                        AS "08_Nr_parcela",
            replace(af.rd_valor, ',', '.')                                                                             AS "09_Valor" -- 2 - Sobrepor os registros existentes
               
               
                -- ,fmh.cod_verba AS "COD_EVE_DE"
                -- ,fmh.id_processo AS "COD_PROC_DE"
                --,dp.tipo_evento_de AS "COD_TIPO_EVEO_LG"
                -- ,dp.desc_tipo_evento_de AS "DESC_TIPO_EVE_LG"
                -- ,dp.cod_processo_de AS "COD_PROC_DEPARA"
                --,dp.desc_processo_de AS "DESC_PROC_DEPARA"

FROM
    tb_aux_ficha        af
    LEFT JOIN lg_depara_matricula lgm ON lgm.filial_protheus = af.rd_filial
                                         AND lgm.matricula_protheus = af.rd_mat
                                         AND lgm.empesa_protheus = af."CodEmp"
    LEFT JOIN tb_aux_ficha_depara dp ON af.rd_pd = lpad(dp.cod_evento_de,3,'0')
                                        AND substr(af.rd_filial, 1, 4) = lpad(dp.filial,4,'0')    

WHERE
af.rd_valor > 0
and af.rd_dtref is not null
    
--   AND  ( ( ( fmh.ano_competencia = 2021 )
--        AND ( fmh.mes_competencia IN ( 11, 12 ) ) )
--      OR ( ( fmh.ano_competencia = 2022 )
--           AND ( fmh.mes_competencia IN ( 1, 2, 3, 4, 5,
--                                          6, 7 ) ) ) )
--    AND ( ef.data_demissao >= to_date('22/12/2016')
--          OR ef.data_demissao IS NULL )
    
ORDER BY
    5,
    2,
    4,
    3,
    6;
      
--==================================================================================================================================================
--= Cria tabela Sumarizada
--= Necessrio cast nas colunas 7 e 8
--= Sufixo V  a versao do DE PARA
--SELECT * FROM lg_ff_sumarizada_V6;
--DELETE FROM lg_ff_sumarizada_V6
--DROP TABLE lg_ff_sumarizada_V6;
--SELECT COUNT("02_Codigo_Emp") FROM lg_ff_SUMARIZADA_V6;
--==================================================================================================================================================
CREATE TABLE lg_ff_sumarizada_v6
    AS
        SELECT
            "01_Quando",
            "02_Codigo_Emp",
            "03_Matricula",
            "04_Codigo_folha",
            "05_Mes_Ref",
            "06_Codigo_Eve",
            CAST(NULL AS NUMBER(1)) AS "07_Total_parc",
            CAST(NULL AS NUMBER(1)) AS "08_Nr_parcela",
            SUM(valor_sum)          AS "09_Valor_Sum"
        FROM
            lg_ff_detalhada_v6
        GROUP BY
            "01_Quando",
            "02_Codigo_Emp",
            "03_Matricula",
            "04_Codigo_folha",
            "05_Mes_Ref",
            "06_Codigo_Eve"
        ORDER BY
            5,
            2,
            4,
            3,
            6;

SELECT
    *
FROM
    lg_ff_detalhada_v6;

SELECT
    COUNT("02_Codigo_Emp")
FROM
    lg_ff_detalhada_v6;
    
    
select af.rd_pd,dp.cod_evento_de, af.rd_filial, dp.filial  from   
    tb_aux_ficha        af
    LEFT JOIN lg_depara_matricula lgm ON lgm.filial_protheus = af.rd_filial
                                         AND lgm.matricula_protheus = af.rd_mat
                                         AND lgm.empesa_protheus = af."CodEmp"
    LEFT JOIN tb_aux_ficha_depara dp ON af.rd_pd = lpad(dp.cod_evento_de,3,'0')
                                        AND substr(af.rd_filial, 1, 4) = lpad(dp.filial,4,'0')    ;

select  lpad(filial,4,'0') ,lpad(cod_evento_de,3,'0') from  tb_aux_ficha_depara;
