/*----------------------------------------------------------------------------------------------+
| ATENO: antes de importar o arquivos, verificar junto ao cliente o de/para de estabilidade
+----------------------------------------------------------------------------------------------*/

SELECT
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)", 
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS '2CdiEmpresa', 		
	REPLACE(cast(est.inietb as date),'-','/')  AS '3 Data da ocorrncia',
	''                   AS '4 Data (Publicao)',
	''                   AS '5 Situao (Publicao)',
	REPLACE(CAST(est.fimetb AS date),'-','/') AS '6 Data fim', 
	'0'                  AS '7 Origem',
	--dbo.fnc_depara(est.codetb , 'ESTABILIDADE','ISL')	 AS '8 Cdigo (Tipo de estabilidade)',
	CASE
		WHEN est.codetb = 1 then 11
		WHEN est.codetb = 2 then 2
		WHEN est.codetb = 3 then 1
		WHEN est.codetb = 7 then 6
		WHEN est.codetb = 10 then 22
		WHEN est.codetb = 25 then 3
		WHEN est.codetb = 26 then 12
		WHEN est.codetb = 31 then 16
		WHEN est.codetb = 99 then 23
		else 23
	END AS "8 Tip estabilidade",	
	''                   AS '9 N de dias',
	''                   AS '10 Permanente',
	''                   AS '11 Observao'
FROM
   r038HEB est
   INNER JOIN r034fun FUN ON 
      FUN.numemp = est.numemp AND 
	  FUN.numcad = est.numcad
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
	  FUN.numemp=MIG.NUMEMP AND 
      FUN.TIPCOL=MIG.TIPCOL AND 
	  FUN.numCAD=MIG.NUMCAD
where 
   FUN.cateso <> 901 and
   fun.tipcol = 1 and
  (fun.sitafa <> 7 or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
  and year(fimetb) <>1900
  AND est.codetb <> 0
  --AND est.NUMCAD IN (602096,50530324)

/*

	SELECT * FROM R038HEB
*/