SELECT 
           F.RA_FILIAL                                                                               AS "Filial Protheus",
          F.RA_MAT                                                                                   AS "Matricula Protheus",
          RA_NOME,
           F.RA_DEMISSA,
          CASE
                   WHEN
                             F.RA_DEMISSA = ' ' THEN 'ATIVO'
                  ELSE
                            'DESLIGADO'
         END                                                                                             AS "Situao",
         FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)                    AS "Empresa LG",
         FN_RETORNA_MATRICULA_LG(F.RA_FILIAL, F.RA_MAT)            AS "Matrcula LG",
        TO_NUMBER(SUBSTR(F.RA_BCDEPSA, 1,3))                              AS "Banco",
        LPAD(SUBSTR(TRIM(F.RA_BCDEPSA), 4,4),4,'0')                                                       AS "Agencia",
        F.RA_CTDEPSA,
        SUBSTR(F.RA_CTDEPSA, 1,LENGTH(TRIM(F.RA_CTDEPSA))-1)     AS "Conta",
       
                                           SUBSTR(F.RA_CTDEPSA, LENGTH(TRIM(F.RA_CTDEPSA)),1)
          AS "Digito"
FROM

                TB_AUX_FUNCIONARIOS F
LEFT JOIN VW_LAYOUT_AGENCIA W
                ON (
                       lpad(TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 1,3))),3,'0') = TRIM(TO_CHAR(W.BANCO)) AND
                       TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 4,4))) = TRIM(TO_CHAR(W.AGENCIA)) AND
                       TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 8,1))) = TRIM(TO_CHAR(W.DV_AGENCIA))
 )
 WHERE TRIM(F.RA_BCDEPSA) IS NOT NULL
 --AND  F.RA_DEMISSA = ' '
AND TO_CHAR( FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)||'-'||FN_RETORNA_MATRICULA_LG(F.RA_FILIAL, F.RA_MAT)) in ('1-275')
ORDER BY TO_NUMBER(SUBSTR(F.RA_BCDEPSA, 1,3));
